/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.biz.api.analyse.node;

import com.abssqr.plat.common.facade.enums.AnalyseServiceEnum;
import com.abssqr.plat.common.facade.model.report.ReportField;
import com.abssqr.plat.common.facade.model.report.wk.WkAstReportFields;
import com.abssqr.plat.core.service.util.AnalyseReportUtil;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 闲置资金余额
 * @author hanfei
 * @version $Id: AnalyseChartAna201Node.java, v 0.1 2019-10-09 11:26 PM hanfei Exp $
 */
@Component
public class AnalyseChartAna201Node extends AnalyseChartNodeBase {
    
    /**
     * 闲置资金余额
     * @param context
     * @return
     */
    @Override
    protected Void handle(AnalyseChartContext context) {
        List<ReportField> amtFields = Lists.newArrayList(
                WkAstReportFields.WK001
        );
        super.handleDayTrendChart(context, amtFields, true,
                (acctDate, itemMap) -> AnalyseReportUtil.getItemMoney(itemMap, WkAstReportFields.WK001).getAmount());
        return null;
    }
    
    @Override
    protected AnalyseServiceEnum getServiceEnum(){
        return AnalyseServiceEnum.BAL_FUND;
    }
}
