/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.biz.api.analyse.node;

import com.abssqr.plat.common.facade.enums.AnalyseServiceEnum;
import com.abssqr.plat.common.facade.model.report.ReportField;
import com.abssqr.plat.common.facade.model.report.wk.WkAstReportFields;
import com.abssqr.plat.core.service.util.AnalyseReportUtil;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 资金流出
 * @author hanfei
 * @version $Id: AnalyseChartAna202Node.java, v 0.1 2019-10-09 11:26 PM hanfei Exp $
 */
@Component
public class AnalyseChartAna202Node extends AnalyseChartNodeBase {
    
    /**
     * 资金流出
     * 放款池兑付流出+承接池兑付流出+金融服务费+放款户贷款投放
     * @param context
     * @return
     */
    @Override
    protected Void handle(AnalyseChartContext context) {
        List<ReportField> amtFields = Lists.newArrayList(
                WkAstReportFields.WK005,
                WkAstReportFields.WK108,
                WkAstReportFields.WK111
        );
        super.handleDayTrendChart(context, amtFields, true,
                (acctDate, itemMap) -> AnalyseReportUtil.getItemMoney(itemMap, amtFields).getAmount());
        return null;
    }
    
    
    @Override
    protected AnalyseServiceEnum getServiceEnum(){
        return AnalyseServiceEnum.OUT_FUND;
    }
}
