/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.biz.shared.dispatcher.commonTask;

import com.abssqr.plat.biz.shared.dispatcher.DispatcherExecutor;
import com.abssqr.plat.biz.shared.dispatcher.DispatcherLoader;
import com.abssqr.plat.biz.shared.dispatcher.DispatcherStarter;
import com.abssqr.plat.common.model.domain.task.CommonTask;
import com.abssqr.plat.common.model.repo.task.CommonTaskRepository;
import com.abssqr.plat.core.service.host.HostManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @author zhenxuan.luo
 * @version com.abssqr.plat.biz.shared.task.task: PlanAstStatTaskStarter.java, v 0.1 2018-01-08 02:42 hongwei
 * .wang Exp $
 */
@Component
public class CommonTaskStarter extends DispatcherStarter<CommonTask> {

    public static String JOB_NAME = "CommmonTask";

    @Autowired
    private CommonTaskExecutor   commonTaskExecutor;
    @Autowired
    private CommonTaskLoader     commonTaskLoader;
    @Autowired
    private HostManager          hostManager;
    @Autowired
    private CommonTaskRepository commonTaskRepository;

    private int coreSize = 2;

    private int maxSize = 3;

    private int hungrySize = 2;

    @Override
    protected void recovery() {
        commonTaskRepository.updateHangTasksByIp(hostManager.getHostInfo().getHostName());
    }

    @Override
    public String getName() {
        return JOB_NAME;
    }

    @Override
    protected int getCoreSize() {
        return coreSize;
    }

    @Override
    protected int getMaxSize() {
        return maxSize;
    }

    @Override
    protected int getQueueSize() {
        return 4;
    }

    @Override
    protected int getHungrySize() {
        return hungrySize;
    }

    @Override
    protected DispatcherLoader<CommonTask> getLoader() {
        return commonTaskLoader;
    }

    @Override
    protected DispatcherExecutor<CommonTask> getExecutor() {
        return commonTaskExecutor;
    }

}
