/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.biz.shared.scheduler.job.keeper;

import com.abssqr.plat.biz.shared.scheduler.BaseQuartzJob;
import com.general.system.common.util.LogUtil;
import com.general.system.common.util.SystemDateUtil;
import org.quartz.DisallowConcurrentExecution;
import org.quartz.PersistJobDataAfterExecution;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 任务监控 异常通知
 * @author hanfei
 * @version $Id: AbssqrJobKeeper.java, v 0.1 2019-07-26 1:06 PM hanfei Exp $ 
 */
@PersistJobDataAfterExecution
@DisallowConcurrentExecution
@Component
public class AbssqrKeeperJob extends BaseQuartzJob {
    
    @Autowired
    private JobKeeperHandler jobKeeperHandler;
    /**
     * 间隔5分钟监控 执行情况
     */
    @Value("${sync.quartz.plan.keeper}")
    private String           cron;
    @Override
    protected String getCronExpr() {
        return cron;
    }
    @Override
    protected boolean isRequestRecovery() {
        return true;
    }
    
    @Override
    protected void doExecute() {
        LogUtil.info(LOGGER, "任务监控 总执行器" );
        // 执行任务监控执行器
        jobKeeperHandler.execute(SystemDateUtil.getSystemDate());
    }
}
