/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.biz.shared.scheduler.job.keeper;

import com.abssqr.plat.biz.shared.scheduler.job.keeper.node.AbstractKeeperNode;
import com.general.system.common.util.LogUtil;
import com.general.system.util.adapter.pipeline.AbstractMultiplePipeline;
import com.google.common.collect.Lists;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * 任务监控器执行链
 *
 * @author hanfei
 * @version $Id: JobKeeperExecute.java, v 0.1 2019-07-26 2:32 PM hanfei Exp $ 
 */
@Component
public class JobKeeperHandler extends AbstractMultiplePipeline<Date> {
    
    protected final Logger LOGGER = LoggerFactory.getLogger(getClass());
    
    @Autowired(required = false)
    private AbstractKeeperNode[] abstractKeeperNodes;
    
    @Override
    public void initHandlers() {
        LogUtil.info(LOGGER, "任务监控 总执行器" );
        super.setHandlers(Lists.newArrayList(abstractKeeperNodes));
    }
    
}
