package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstPriceRuleDO;
import java.util.List;
import com.abssqr.plat.common.dal.mysql.auto.mapper.AstPriceRuleDOMapper;

/**
* The Table abs_ast_price_rule.
* ABS_AST_PRICE_RULE
*/
@Repository
public class AstPriceRuleDAO{

    @Autowired
    private AstPriceRuleDOMapper astPriceRuleDOMapper;

    /**
     * desc:批量插入表:abs_ast_price_rule.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<AstPriceRuleDO> list){
        astPriceRuleDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:删除产品对应定价规则.<br/>
     * @param abssqrProdCode abssqrProdCode
     * @return int
     */
    
    public int deleteByAbsProdCode(String abssqrProdCode){
        return astPriceRuleDOMapper.deleteByAbsProdCode(abssqrProdCode);
    }
    /**
     * desc:根据产品查询定价规则.<br/>
     * @param abssqrProdCode abssqrProdCode
     * @return List<AstPriceRuleDO>
     */
    
    public List<AstPriceRuleDO> getByAbsProdCode(String abssqrProdCode){
        return astPriceRuleDOMapper.getByAbsProdCode(abssqrProdCode);
    }
}
