package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAstLogDO;
import java.util.List;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.PlanStatItem;
import com.abssqr.plat.common.dal.mysql.auto.resultmap.AstLogAmt;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanAstLogDOMapper;

/**
* The Table abs_plan_ast_log.
* 计划资产水位变更流水
*/
@Repository
public class PlanAstLogDAO{

    @Autowired
    private PlanAstLogDOMapper planAstLogDOMapper;

    /**
     * desc:插入表:abs_plan_ast_log.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanAstLogDO entity){
        return planAstLogDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_plan_ast_log.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanAstLogDO> list){
        planAstLogDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param endDate endDate
     * @param startDate startDate
     * @param planNo planNo
     * @param transCode transCode
     * @param changeType changeType
     * @return List<PlanStatItem>
     */
    
    public List<PlanStatItem> getStatByTransCode(Date endDate,Date startDate,String planNo,String transCode,String changeType){
        return planAstLogDOMapper.getStatByTransCode(endDate, startDate, planNo, transCode, changeType);
    }
    /**
     * desc:根据主键获取数据:abs_loan_instal_log.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @return List<PlanStatItem>
     */
    
    public List<PlanStatItem> getAstLogStat(Date accountDate,String planNo){
        return planAstLogDOMapper.getAstLogStat(accountDate, planNo);
    }
    /**
     * desc:获取水位变化总额.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param transCode transCode
     * @return List<AstLogAmt>
     */
    
    public List<AstLogAmt> getAmtByPlanNoAndActDateAndTransCode(Date accountDate,String planNo,String transCode){
        return planAstLogDOMapper.getAmtByPlanNoAndActDateAndTransCode(accountDate, planNo, transCode);
    }
}
