package com.abssqr.plat.common.dal.mysql.auto.dao;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;
import java.util.ArrayList;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanTaskLogDO;
import java.util.List;
import java.util.Date;
import com.abssqr.plat.common.dal.mysql.auto.mapper.PlanTaskLogDOMapper;

/**
* The Table abs_plan_task_log.
* ABS_PLAN_TASK_LOG
*/
@Repository
public class PlanTaskLogDAO{

    @Autowired
    private PlanTaskLogDOMapper planTaskLogDOMapper;

    /**
     * desc:插入表:abs_plan_task_log.<br/>
     * @param entity entity
     * @return int
     */
    
    public int insert(PlanTaskLogDO entity){
        return planTaskLogDOMapper.insert(entity);
    }
    /**
     * desc:批量插入表:abs_plan_task_log.<br/>
     * @param list list
     * @return int
     */
    
    public int insertBatch(List<PlanTaskLogDO> list){
        planTaskLogDOMapper.insertBatch(list);
        return  list.size(); 
    }
    /**
     * desc:根据主键删除数据:abs_plan_task_log.<br/>
     * @param execDate execDate
     * @param planNo planNo
     * @param taskType taskType
     * @return PlanTaskLogDO
     */
    
    public PlanTaskLogDO delByPlanNoAndDate(Date execDate,String planNo,String taskType){
        return planTaskLogDOMapper.delByPlanNoAndDate(execDate, planNo, taskType);
    }
    /**
     * desc:根据主键获取数据:abs_plan_task_log.<br/>
     * @param execDate execDate
     * @param planNo planNo
     * @param taskType taskType
     * @return PlanTaskLogDO
     */
    
    public PlanTaskLogDO getByPlanNoAndDate(Date execDate,String planNo,String taskType){
        return planTaskLogDOMapper.getByPlanNoAndDate(execDate, planNo, taskType);
    }
    /**
     * desc:根据主键获取数据:abs_plan_task_log.<br/>
     * @param execDate execDate
     * @param taskType taskType
     * @return List<PlanTaskLogDO>
     */
    
    public List<PlanTaskLogDO> getTasks(Date execDate,String taskType){
        return planTaskLogDOMapper.getTasks(execDate, taskType);
    }
}
