package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import com.general.system.common.model.Money;

/**
 * The table 还款计划明细
 */
public class LoanInstalDO{

    /**
     * id .
     */
    private Long id;
    /**
     * astNo 资产编号.
     */
    private String astNo;
    /**
     * extInf 扩展信息.
     */
    private String extInf;
    /**
     * ownOrg 所属机构（计划）.
     */
    private String ownOrg;
    /**
     * prodNo 产品码.
     */
    private String prodNo;
    /**
     * status NORMAL：正常OVERDUE：逾期CLEARED：结清.
     */
    private String status;
    /**
     * userId 用户ID.
     */
    private String userId;
    /**
     * ownPack 所属资产包.
     */
    private String ownPack;
    /**
     * outAstNo 外部资产编号.
     */
    private String outAstNo;
    /**
     * outProdNo 外部产品码.
     */
    private String outProdNo;
    /**
     * ownStatus 资产状态 INIT,OUT,POUT 有效，转出部，分转出.
     */
    private String ownStatus;
    /**
     * contractNo 合同编号.
     */
    private String contractNo;
    /**
     * lastOwnOrg 前所属机构（计划）.
     */
    private String lastOwnOrg;
    /**
     * lenderOrgCode 原始权益机构（计划）.
     */
    private String lenderOrgCode;
    /**
     * managerOrgCode 资产管理服务机构.
     */
    private String managerOrgCode;
    /**
     * sponserOrgCode 业务牵头机构.
     */
    private String sponserOrgCode;
    /**
     * termNo TERMNO.
     */
    private Integer termNo;
    /**
     * ovdDays 逾期天数.
     */
    private Integer ovdDays;
    /**
     * inDate 创建日期.
     */
    private Date inDate;
    /**
     * endDate 分期结束日期-即还款日(YYYYMMDD).
     */
    private Date endDate;
    /**
     * clearDate 结清日期(YYYYMMDD).
     */
    private Date clearDate;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * startDate 分期开始日期(YYYYMMDD).
     */
    private Date startDate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * graceEndDate 宽限期结束日期.
     */
    private Date graceEndDate;
    /**
     * lastUpdateDate 最近数据发生日(YYYYMMDD).
     */
    private Date lastUpdateDate;
    /**
     * cost 资产成本.
     */
    private Money cost;
    /**
     * feeBal 单指分期手续费，其他费用如，提前还款费等不在此列.
     */
    private Money feeBal;
    /**
     * intrBal 利息余额.
     */
    private Money intrBal;
    /**
     * prinBal 本金余额.
     */
    private Money prinBal;
    /**
     * dueFeeAmt 到期费用金额.
     */
    private Money dueFeeAmt;
    /**
     * rmtFeeAmt 减免分期费用余额.
     */
    private Money rmtFeeAmt;
    /**
     * dueIntrAmt 到期利息金额.
     */
    private Money dueIntrAmt;
    /**
     * paidFeeAmt 已还分期费用余额.
     */
    private Money paidFeeAmt;
    /**
     * rmtIntrAmt 减免利息余额.
     */
    private Money rmtIntrAmt;
    /**
     * feePenalBal 由分期费用逾期产生的滞纳金余额.
     */
    private Money feePenalBal;
    /**
     * hangIntrBal 挂账利息金额.
     */
    private Money hangIntrBal;
    /**
     * otherFeeBal 其他费用余额.
     */
    private Money otherFeeBal;
    /**
     * paidIntrAmt 已还利息余额.
     */
    private Money paidIntrAmt;
    /**
     * paidPrinAmt 已还本金余额.
     */
    private Money paidPrinAmt;
    /**
     * intrPenalBal 由逾期利息产生的罚息.
     */
    private Money intrPenalBal;
    /**
     * prinPenalBal 由逾期本金产生的罚息.
     */
    private Money prinPenalBal;
    /**
     * paidFeeFundAmt 五矿实收-费用.
     */
    private Money paidFeeFundAmt;
    /**
     * rmtFeePenalAmt 减免分期费用滞纳金余额.
     */
    private Money rmtFeePenalAmt;
    /**
     * paidFeePenalAmt 已还分期费用滞纳金余额.
     */
    private Money paidFeePenalAmt;
    /**
     * paidHangIntrAmt 已付挂账金额.
     */
    private Money paidHangIntrAmt;
    /**
     * paidIntrFundAmt 五矿实收-利息.
     */
    private Money paidIntrFundAmt;
    /**
     * paidOtherFeeAmt 其他费用实还.
     */
    private Money paidOtherFeeAmt;
    /**
     * paidPrinFundAmt 五矿实收-本金.
     */
    private Money paidPrinFundAmt;
    /**
     * rmtIntrPenalAmt 减免利罚余额.
     */
    private Money rmtIntrPenalAmt;
    /**
     * rmtPrinPenalAmt 减免本罚余额.
     */
    private Money rmtPrinPenalAmt;
    /**
     * paidIntrPenalAmt 已还利罚余额.
     */
    private Money paidIntrPenalAmt;
    /**
     * paidPrinPenalAmt 已还本罚余额.
     */
    private Money paidPrinPenalAmt;
    /**
     * paidFeePenalFundAmt 五矿实收-滞纳金.
     */
    private Money paidFeePenalFundAmt;
    /**
     * paidOtherFeeFundAmt 其他费用五矿实收.
     */
    private Money paidOtherFeeFundAmt;
    /**
     * paidIntrPenalFundAmt 五矿实收-利罚.
     */
    private Money paidIntrPenalFundAmt;
    /**
     * paidPrinPenalFundAmt 五矿实收-本罚.
     */
    private Money paidPrinPenalFundAmt;

    /**
     * Set id .
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id .
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set astNo 资产编号.
     */
    public void setAstNo(String astNo){
        this.astNo = astNo;
    }

    /**
     * Get astNo 资产编号.
     *
     * @return the string
     */
    public String getAstNo(){
        return astNo;
    }

    /**
     * Set extInf 扩展信息.
     */
    public void setExtInf(String extInf){
        this.extInf = extInf;
    }

    /**
     * Get extInf 扩展信息.
     *
     * @return the string
     */
    public String getExtInf(){
        return extInf;
    }

    /**
     * Set ownOrg 所属机构（计划）.
     */
    public void setOwnOrg(String ownOrg){
        this.ownOrg = ownOrg;
    }

    /**
     * Get ownOrg 所属机构（计划）.
     *
     * @return the string
     */
    public String getOwnOrg(){
        return ownOrg;
    }

    /**
     * Set prodNo 产品码.
     */
    public void setProdNo(String prodNo){
        this.prodNo = prodNo;
    }

    /**
     * Get prodNo 产品码.
     *
     * @return the string
     */
    public String getProdNo(){
        return prodNo;
    }

    /**
     * Set status NORMAL：正常OVERDUE：逾期CLEARED：结清.
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status NORMAL：正常OVERDUE：逾期CLEARED：结清.
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set userId 用户ID.
     */
    public void setUserId(String userId){
        this.userId = userId;
    }

    /**
     * Get userId 用户ID.
     *
     * @return the string
     */
    public String getUserId(){
        return userId;
    }

    /**
     * Set ownPack 所属资产包.
     */
    public void setOwnPack(String ownPack){
        this.ownPack = ownPack;
    }

    /**
     * Get ownPack 所属资产包.
     *
     * @return the string
     */
    public String getOwnPack(){
        return ownPack;
    }

    /**
     * Set outAstNo 外部资产编号.
     */
    public void setOutAstNo(String outAstNo){
        this.outAstNo = outAstNo;
    }

    /**
     * Get outAstNo 外部资产编号.
     *
     * @return the string
     */
    public String getOutAstNo(){
        return outAstNo;
    }

    /**
     * Set outProdNo 外部产品码.
     */
    public void setOutProdNo(String outProdNo){
        this.outProdNo = outProdNo;
    }

    /**
     * Get outProdNo 外部产品码.
     *
     * @return the string
     */
    public String getOutProdNo(){
        return outProdNo;
    }

    /**
     * Set ownStatus 资产状态 INIT,OUT,POUT 有效，转出部，分转出.
     */
    public void setOwnStatus(String ownStatus){
        this.ownStatus = ownStatus;
    }

    /**
     * Get ownStatus 资产状态 INIT,OUT,POUT 有效，转出部，分转出.
     *
     * @return the string
     */
    public String getOwnStatus(){
        return ownStatus;
    }

    /**
     * Set contractNo 合同编号.
     */
    public void setContractNo(String contractNo){
        this.contractNo = contractNo;
    }

    /**
     * Get contractNo 合同编号.
     *
     * @return the string
     */
    public String getContractNo(){
        return contractNo;
    }

    /**
     * Set lastOwnOrg 前所属机构（计划）.
     */
    public void setLastOwnOrg(String lastOwnOrg){
        this.lastOwnOrg = lastOwnOrg;
    }

    /**
     * Get lastOwnOrg 前所属机构（计划）.
     *
     * @return the string
     */
    public String getLastOwnOrg(){
        return lastOwnOrg;
    }

    /**
     * Set lenderOrgCode 原始权益机构（计划）.
     */
    public void setLenderOrgCode(String lenderOrgCode){
        this.lenderOrgCode = lenderOrgCode;
    }

    /**
     * Get lenderOrgCode 原始权益机构（计划）.
     *
     * @return the string
     */
    public String getLenderOrgCode(){
        return lenderOrgCode;
    }

    /**
     * Set managerOrgCode 资产管理服务机构.
     */
    public void setManagerOrgCode(String managerOrgCode){
        this.managerOrgCode = managerOrgCode;
    }

    /**
     * Get managerOrgCode 资产管理服务机构.
     *
     * @return the string
     */
    public String getManagerOrgCode(){
        return managerOrgCode;
    }

    /**
     * Set sponserOrgCode 业务牵头机构.
     */
    public void setSponserOrgCode(String sponserOrgCode){
        this.sponserOrgCode = sponserOrgCode;
    }

    /**
     * Get sponserOrgCode 业务牵头机构.
     *
     * @return the string
     */
    public String getSponserOrgCode(){
        return sponserOrgCode;
    }

    /**
     * Set termNo TERMNO.
     */
    public void setTermNo(Integer termNo){
        this.termNo = termNo;
    }

    /**
     * Get termNo TERMNO.
     *
     * @return the string
     */
    public Integer getTermNo(){
        return termNo;
    }

    /**
     * Set ovdDays 逾期天数.
     */
    public void setOvdDays(Integer ovdDays){
        this.ovdDays = ovdDays;
    }

    /**
     * Get ovdDays 逾期天数.
     *
     * @return the string
     */
    public Integer getOvdDays(){
        return ovdDays;
    }

    /**
     * Set inDate 创建日期.
     */
    public void setInDate(Date inDate){
        this.inDate = inDate;
    }

    /**
     * Get inDate 创建日期.
     *
     * @return the string
     */
    public Date getInDate(){
        return inDate;
    }

    /**
     * Set endDate 分期结束日期-即还款日(YYYYMMDD).
     */
    public void setEndDate(Date endDate){
        this.endDate = endDate;
    }

    /**
     * Get endDate 分期结束日期-即还款日(YYYYMMDD).
     *
     * @return the string
     */
    public Date getEndDate(){
        return endDate;
    }

    /**
     * Set clearDate 结清日期(YYYYMMDD).
     */
    public void setClearDate(Date clearDate){
        this.clearDate = clearDate;
    }

    /**
     * Get clearDate 结清日期(YYYYMMDD).
     *
     * @return the string
     */
    public Date getClearDate(){
        return clearDate;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set startDate 分期开始日期(YYYYMMDD).
     */
    public void setStartDate(Date startDate){
        this.startDate = startDate;
    }

    /**
     * Get startDate 分期开始日期(YYYYMMDD).
     *
     * @return the string
     */
    public Date getStartDate(){
        return startDate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set graceEndDate 宽限期结束日期.
     */
    public void setGraceEndDate(Date graceEndDate){
        this.graceEndDate = graceEndDate;
    }

    /**
     * Get graceEndDate 宽限期结束日期.
     *
     * @return the string
     */
    public Date getGraceEndDate(){
        return graceEndDate;
    }

    /**
     * Set lastUpdateDate 最近数据发生日(YYYYMMDD).
     */
    public void setLastUpdateDate(Date lastUpdateDate){
        this.lastUpdateDate = lastUpdateDate;
    }

    /**
     * Get lastUpdateDate 最近数据发生日(YYYYMMDD).
     *
     * @return the string
     */
    public Date getLastUpdateDate(){
        return lastUpdateDate;
    }

    /**
     * Set cost 资产成本.
     */
    public void setCost(Money cost){
        this.cost = cost;
    }

    /**
     * Get cost 资产成本.
     *
     * @return the string
     */
    public Money getCost(){
        if(cost==null){
            return new Money();
        }
        return cost;
    }

    /**
     * Set feeBal 单指分期手续费，其他费用如，提前还款费等不在此列.
     */
    public void setFeeBal(Money feeBal){
        this.feeBal = feeBal;
    }

    /**
     * Get feeBal 单指分期手续费，其他费用如，提前还款费等不在此列.
     *
     * @return the string
     */
    public Money getFeeBal(){
        if(feeBal==null){
            return new Money();
        }
        return feeBal;
    }

    /**
     * Set intrBal 利息余额.
     */
    public void setIntrBal(Money intrBal){
        this.intrBal = intrBal;
    }

    /**
     * Get intrBal 利息余额.
     *
     * @return the string
     */
    public Money getIntrBal(){
        if(intrBal==null){
            return new Money();
        }
        return intrBal;
    }

    /**
     * Set prinBal 本金余额.
     */
    public void setPrinBal(Money prinBal){
        this.prinBal = prinBal;
    }

    /**
     * Get prinBal 本金余额.
     *
     * @return the string
     */
    public Money getPrinBal(){
        if(prinBal==null){
            return new Money();
        }
        return prinBal;
    }

    /**
     * Set dueFeeAmt 到期费用金额.
     */
    public void setDueFeeAmt(Money dueFeeAmt){
        this.dueFeeAmt = dueFeeAmt;
    }

    /**
     * Get dueFeeAmt 到期费用金额.
     *
     * @return the string
     */
    public Money getDueFeeAmt(){
        if(dueFeeAmt==null){
            return new Money();
        }
        return dueFeeAmt;
    }

    /**
     * Set rmtFeeAmt 减免分期费用余额.
     */
    public void setRmtFeeAmt(Money rmtFeeAmt){
        this.rmtFeeAmt = rmtFeeAmt;
    }

    /**
     * Get rmtFeeAmt 减免分期费用余额.
     *
     * @return the string
     */
    public Money getRmtFeeAmt(){
        if(rmtFeeAmt==null){
            return new Money();
        }
        return rmtFeeAmt;
    }

    /**
     * Set dueIntrAmt 到期利息金额.
     */
    public void setDueIntrAmt(Money dueIntrAmt){
        this.dueIntrAmt = dueIntrAmt;
    }

    /**
     * Get dueIntrAmt 到期利息金额.
     *
     * @return the string
     */
    public Money getDueIntrAmt(){
        if(dueIntrAmt==null){
            return new Money();
        }
        return dueIntrAmt;
    }

    /**
     * Set paidFeeAmt 已还分期费用余额.
     */
    public void setPaidFeeAmt(Money paidFeeAmt){
        this.paidFeeAmt = paidFeeAmt;
    }

    /**
     * Get paidFeeAmt 已还分期费用余额.
     *
     * @return the string
     */
    public Money getPaidFeeAmt(){
        if(paidFeeAmt==null){
            return new Money();
        }
        return paidFeeAmt;
    }

    /**
     * Set rmtIntrAmt 减免利息余额.
     */
    public void setRmtIntrAmt(Money rmtIntrAmt){
        this.rmtIntrAmt = rmtIntrAmt;
    }

    /**
     * Get rmtIntrAmt 减免利息余额.
     *
     * @return the string
     */
    public Money getRmtIntrAmt(){
        if(rmtIntrAmt==null){
            return new Money();
        }
        return rmtIntrAmt;
    }

    /**
     * Set feePenalBal 由分期费用逾期产生的滞纳金余额.
     */
    public void setFeePenalBal(Money feePenalBal){
        this.feePenalBal = feePenalBal;
    }

    /**
     * Get feePenalBal 由分期费用逾期产生的滞纳金余额.
     *
     * @return the string
     */
    public Money getFeePenalBal(){
        if(feePenalBal==null){
            return new Money();
        }
        return feePenalBal;
    }

    /**
     * Set hangIntrBal 挂账利息金额.
     */
    public void setHangIntrBal(Money hangIntrBal){
        this.hangIntrBal = hangIntrBal;
    }

    /**
     * Get hangIntrBal 挂账利息金额.
     *
     * @return the string
     */
    public Money getHangIntrBal(){
        if(hangIntrBal==null){
            return new Money();
        }
        return hangIntrBal;
    }

    /**
     * Set otherFeeBal 其他费用余额.
     */
    public void setOtherFeeBal(Money otherFeeBal){
        this.otherFeeBal = otherFeeBal;
    }

    /**
     * Get otherFeeBal 其他费用余额.
     *
     * @return the string
     */
    public Money getOtherFeeBal(){
        if(otherFeeBal==null){
            return new Money();
        }
        return otherFeeBal;
    }

    /**
     * Set paidIntrAmt 已还利息余额.
     */
    public void setPaidIntrAmt(Money paidIntrAmt){
        this.paidIntrAmt = paidIntrAmt;
    }

    /**
     * Get paidIntrAmt 已还利息余额.
     *
     * @return the string
     */
    public Money getPaidIntrAmt(){
        if(paidIntrAmt==null){
            return new Money();
        }
        return paidIntrAmt;
    }

    /**
     * Set paidPrinAmt 已还本金余额.
     */
    public void setPaidPrinAmt(Money paidPrinAmt){
        this.paidPrinAmt = paidPrinAmt;
    }

    /**
     * Get paidPrinAmt 已还本金余额.
     *
     * @return the string
     */
    public Money getPaidPrinAmt(){
        if(paidPrinAmt==null){
            return new Money();
        }
        return paidPrinAmt;
    }

    /**
     * Set intrPenalBal 由逾期利息产生的罚息.
     */
    public void setIntrPenalBal(Money intrPenalBal){
        this.intrPenalBal = intrPenalBal;
    }

    /**
     * Get intrPenalBal 由逾期利息产生的罚息.
     *
     * @return the string
     */
    public Money getIntrPenalBal(){
        if(intrPenalBal==null){
            return new Money();
        }
        return intrPenalBal;
    }

    /**
     * Set prinPenalBal 由逾期本金产生的罚息.
     */
    public void setPrinPenalBal(Money prinPenalBal){
        this.prinPenalBal = prinPenalBal;
    }

    /**
     * Get prinPenalBal 由逾期本金产生的罚息.
     *
     * @return the string
     */
    public Money getPrinPenalBal(){
        if(prinPenalBal==null){
            return new Money();
        }
        return prinPenalBal;
    }

    /**
     * Set paidFeeFundAmt 五矿实收-费用.
     */
    public void setPaidFeeFundAmt(Money paidFeeFundAmt){
        this.paidFeeFundAmt = paidFeeFundAmt;
    }

    /**
     * Get paidFeeFundAmt 五矿实收-费用.
     *
     * @return the string
     */
    public Money getPaidFeeFundAmt(){
        if(paidFeeFundAmt==null){
            return new Money();
        }
        return paidFeeFundAmt;
    }

    /**
     * Set rmtFeePenalAmt 减免分期费用滞纳金余额.
     */
    public void setRmtFeePenalAmt(Money rmtFeePenalAmt){
        this.rmtFeePenalAmt = rmtFeePenalAmt;
    }

    /**
     * Get rmtFeePenalAmt 减免分期费用滞纳金余额.
     *
     * @return the string
     */
    public Money getRmtFeePenalAmt(){
        if(rmtFeePenalAmt==null){
            return new Money();
        }
        return rmtFeePenalAmt;
    }

    /**
     * Set paidFeePenalAmt 已还分期费用滞纳金余额.
     */
    public void setPaidFeePenalAmt(Money paidFeePenalAmt){
        this.paidFeePenalAmt = paidFeePenalAmt;
    }

    /**
     * Get paidFeePenalAmt 已还分期费用滞纳金余额.
     *
     * @return the string
     */
    public Money getPaidFeePenalAmt(){
        if(paidFeePenalAmt==null){
            return new Money();
        }
        return paidFeePenalAmt;
    }

    /**
     * Set paidHangIntrAmt 已付挂账金额.
     */
    public void setPaidHangIntrAmt(Money paidHangIntrAmt){
        this.paidHangIntrAmt = paidHangIntrAmt;
    }

    /**
     * Get paidHangIntrAmt 已付挂账金额.
     *
     * @return the string
     */
    public Money getPaidHangIntrAmt(){
        if(paidHangIntrAmt==null){
            return new Money();
        }
        return paidHangIntrAmt;
    }

    /**
     * Set paidIntrFundAmt 五矿实收-利息.
     */
    public void setPaidIntrFundAmt(Money paidIntrFundAmt){
        this.paidIntrFundAmt = paidIntrFundAmt;
    }

    /**
     * Get paidIntrFundAmt 五矿实收-利息.
     *
     * @return the string
     */
    public Money getPaidIntrFundAmt(){
        if(paidIntrFundAmt==null){
            return new Money();
        }
        return paidIntrFundAmt;
    }

    /**
     * Set paidOtherFeeAmt 其他费用实还.
     */
    public void setPaidOtherFeeAmt(Money paidOtherFeeAmt){
        this.paidOtherFeeAmt = paidOtherFeeAmt;
    }

    /**
     * Get paidOtherFeeAmt 其他费用实还.
     *
     * @return the string
     */
    public Money getPaidOtherFeeAmt(){
        if(paidOtherFeeAmt==null){
            return new Money();
        }
        return paidOtherFeeAmt;
    }

    /**
     * Set paidPrinFundAmt 五矿实收-本金.
     */
    public void setPaidPrinFundAmt(Money paidPrinFundAmt){
        this.paidPrinFundAmt = paidPrinFundAmt;
    }

    /**
     * Get paidPrinFundAmt 五矿实收-本金.
     *
     * @return the string
     */
    public Money getPaidPrinFundAmt(){
        if(paidPrinFundAmt==null){
            return new Money();
        }
        return paidPrinFundAmt;
    }

    /**
     * Set rmtIntrPenalAmt 减免利罚余额.
     */
    public void setRmtIntrPenalAmt(Money rmtIntrPenalAmt){
        this.rmtIntrPenalAmt = rmtIntrPenalAmt;
    }

    /**
     * Get rmtIntrPenalAmt 减免利罚余额.
     *
     * @return the string
     */
    public Money getRmtIntrPenalAmt(){
        if(rmtIntrPenalAmt==null){
            return new Money();
        }
        return rmtIntrPenalAmt;
    }

    /**
     * Set rmtPrinPenalAmt 减免本罚余额.
     */
    public void setRmtPrinPenalAmt(Money rmtPrinPenalAmt){
        this.rmtPrinPenalAmt = rmtPrinPenalAmt;
    }

    /**
     * Get rmtPrinPenalAmt 减免本罚余额.
     *
     * @return the string
     */
    public Money getRmtPrinPenalAmt(){
        if(rmtPrinPenalAmt==null){
            return new Money();
        }
        return rmtPrinPenalAmt;
    }

    /**
     * Set paidIntrPenalAmt 已还利罚余额.
     */
    public void setPaidIntrPenalAmt(Money paidIntrPenalAmt){
        this.paidIntrPenalAmt = paidIntrPenalAmt;
    }

    /**
     * Get paidIntrPenalAmt 已还利罚余额.
     *
     * @return the string
     */
    public Money getPaidIntrPenalAmt(){
        if(paidIntrPenalAmt==null){
            return new Money();
        }
        return paidIntrPenalAmt;
    }

    /**
     * Set paidPrinPenalAmt 已还本罚余额.
     */
    public void setPaidPrinPenalAmt(Money paidPrinPenalAmt){
        this.paidPrinPenalAmt = paidPrinPenalAmt;
    }

    /**
     * Get paidPrinPenalAmt 已还本罚余额.
     *
     * @return the string
     */
    public Money getPaidPrinPenalAmt(){
        if(paidPrinPenalAmt==null){
            return new Money();
        }
        return paidPrinPenalAmt;
    }

    /**
     * Set paidFeePenalFundAmt 五矿实收-滞纳金.
     */
    public void setPaidFeePenalFundAmt(Money paidFeePenalFundAmt){
        this.paidFeePenalFundAmt = paidFeePenalFundAmt;
    }

    /**
     * Get paidFeePenalFundAmt 五矿实收-滞纳金.
     *
     * @return the string
     */
    public Money getPaidFeePenalFundAmt(){
        if(paidFeePenalFundAmt==null){
            return new Money();
        }
        return paidFeePenalFundAmt;
    }

    /**
     * Set paidOtherFeeFundAmt 其他费用五矿实收.
     */
    public void setPaidOtherFeeFundAmt(Money paidOtherFeeFundAmt){
        this.paidOtherFeeFundAmt = paidOtherFeeFundAmt;
    }

    /**
     * Get paidOtherFeeFundAmt 其他费用五矿实收.
     *
     * @return the string
     */
    public Money getPaidOtherFeeFundAmt(){
        if(paidOtherFeeFundAmt==null){
            return new Money();
        }
        return paidOtherFeeFundAmt;
    }

    /**
     * Set paidIntrPenalFundAmt 五矿实收-利罚.
     */
    public void setPaidIntrPenalFundAmt(Money paidIntrPenalFundAmt){
        this.paidIntrPenalFundAmt = paidIntrPenalFundAmt;
    }

    /**
     * Get paidIntrPenalFundAmt 五矿实收-利罚.
     *
     * @return the string
     */
    public Money getPaidIntrPenalFundAmt(){
        if(paidIntrPenalFundAmt==null){
            return new Money();
        }
        return paidIntrPenalFundAmt;
    }

    /**
     * Set paidPrinPenalFundAmt 五矿实收-本罚.
     */
    public void setPaidPrinPenalFundAmt(Money paidPrinPenalFundAmt){
        this.paidPrinPenalFundAmt = paidPrinPenalFundAmt;
    }

    /**
     * Get paidPrinPenalFundAmt 五矿实收-本罚.
     *
     * @return the string
     */
    public Money getPaidPrinPenalFundAmt(){
        if(paidPrinPenalFundAmt==null){
            return new Money();
        }
        return paidPrinPenalFundAmt;
    }
}
