package com.abssqr.plat.common.dal.mysql.auto.dataobject;

import java.util.Date;
import com.general.system.common.model.Money;

/**
 * The table 计划资金交易订单
 */
public class PlanCapitalOrderDO{

    /**
     * id 自增ID.
     */
    private Long id;
    /**
     * execTimes 执行次数.
     */
    private Long execTimes;
    /**
     * memo 备注.
     */
    private String memo;
    /**
     * bizNo 业务号.
     */
    private String bizNo;
    /**
     * seqNo 流水号.
     */
    private String seqNo;
    /**
     * planNo 计划编号.
     */
    private String planNo;
    /**
     * status 交易状态.
     */
    private String status;
    /**
     * context 交易上下文.
     */
    private String context;
    /**
     * planAcct 计划资金账号.
     */
    private String planAcct;
    /**
     * outAcptNo 外部受理流水号.
     */
    private String outAcptNo;
    /**
     * transType 交易类型.
     */
    private String transType;
    /**
     * cntPtyAcct 对手方资金账号.
     */
    private String cntPtyAcct;
    /**
     * cntPtyCode 对手方简称.
     */
    private String cntPtyCode;
    /**
     * outTransNo 外部交易流水号.
     */
    private String outTransNo;
    /**
     * capitalType 支付平台约定的交易类型.
     */
    private String capitalType;
    /**
     * planAcctBank 计划资金账号开户行.
     */
    private String planAcctBank;
    /**
     * planAcctCity 计划资金账号开户行所在市.
     */
    private String planAcctCity;
    /**
     * planAcctName 计划资金账号户名.
     */
    private String planAcctName;
    /**
     * planAcctProv 计划资金账号开户行所在省.
     */
    private String planAcctProv;
    /**
     * planAcctType 计划账号类型.
     */
    private String planAcctType;
    /**
     * cntPtyAcctBank 对手方资金账号开户行.
     */
    private String cntPtyAcctBank;
    /**
     * cntPtyAcctCity 对手方资金账号开户行所在市.
     */
    private String cntPtyAcctCity;
    /**
     * cntPtyAcctName 对手方资金账号户名.
     */
    private String cntPtyAcctName;
    /**
     * cntPtyAcctProv 对手方资金账号开户行所在省.
     */
    private String cntPtyAcctProv;
    /**
     * cntPtyAcctType 对手方资金账号类型.
     */
    private String cntPtyAcctType;
    /**
     * planAcctChannel .
     */
    private String planAcctChannel;
    /**
     * cntPtyAcctChannel .
     */
    private String cntPtyAcctChannel;
    /**
     * procTime .
     */
    private Date procTime;
    /**
     * gmtCreate 创建时间.
     */
    private Date gmtCreate;
    /**
     * transTime 交易发起时间.
     */
    private Date transTime;
    /**
     * finishTime 交易完成时间.
     */
    private Date finishTime;
    /**
     * accountDate 交易日期（会计日）.
     */
    private Date accountDate;
    /**
     * gmtModified 修改时间.
     */
    private Date gmtModified;
    /**
     * lastExecTime 上次执行时间.
     */
    private Date lastExecTime;
    /**
     * nextExecTime 下次执行时间.
     */
    private Date nextExecTime;
    /**
     * cfrmAmt 确认交易金额.
     */
    private Money cfrmAmt;
    /**
     * transAmt 发起交易实付金额.
     */
    private Money transAmt;
    /**
     * payableAmt 应付金额.
     */
    private Money payableAmt;

    /**
     * Set id 自增ID.
     */
    public void setId(Long id){
        this.id = id;
    }

    /**
     * Get id 自增ID.
     *
     * @return the string
     */
    public Long getId(){
        return id;
    }

    /**
     * Set execTimes 执行次数.
     */
    public void setExecTimes(Long execTimes){
        this.execTimes = execTimes;
    }

    /**
     * Get execTimes 执行次数.
     *
     * @return the string
     */
    public Long getExecTimes(){
        return execTimes;
    }

    /**
     * Set memo 备注.
     */
    public void setMemo(String memo){
        this.memo = memo;
    }

    /**
     * Get memo 备注.
     *
     * @return the string
     */
    public String getMemo(){
        return memo;
    }

    /**
     * Set bizNo 业务号.
     */
    public void setBizNo(String bizNo){
        this.bizNo = bizNo;
    }

    /**
     * Get bizNo 业务号.
     *
     * @return the string
     */
    public String getBizNo(){
        return bizNo;
    }

    /**
     * Set seqNo 流水号.
     */
    public void setSeqNo(String seqNo){
        this.seqNo = seqNo;
    }

    /**
     * Get seqNo 流水号.
     *
     * @return the string
     */
    public String getSeqNo(){
        return seqNo;
    }

    /**
     * Set planNo 计划编号.
     */
    public void setPlanNo(String planNo){
        this.planNo = planNo;
    }

    /**
     * Get planNo 计划编号.
     *
     * @return the string
     */
    public String getPlanNo(){
        return planNo;
    }

    /**
     * Set status 交易状态.
     */
    public void setStatus(String status){
        this.status = status;
    }

    /**
     * Get status 交易状态.
     *
     * @return the string
     */
    public String getStatus(){
        return status;
    }

    /**
     * Set context 交易上下文.
     */
    public void setContext(String context){
        this.context = context;
    }

    /**
     * Get context 交易上下文.
     *
     * @return the string
     */
    public String getContext(){
        return context;
    }

    /**
     * Set planAcct 计划资金账号.
     */
    public void setPlanAcct(String planAcct){
        this.planAcct = planAcct;
    }

    /**
     * Get planAcct 计划资金账号.
     *
     * @return the string
     */
    public String getPlanAcct(){
        return planAcct;
    }

    /**
     * Set outAcptNo 外部受理流水号.
     */
    public void setOutAcptNo(String outAcptNo){
        this.outAcptNo = outAcptNo;
    }

    /**
     * Get outAcptNo 外部受理流水号.
     *
     * @return the string
     */
    public String getOutAcptNo(){
        return outAcptNo;
    }

    /**
     * Set transType 交易类型.
     */
    public void setTransType(String transType){
        this.transType = transType;
    }

    /**
     * Get transType 交易类型.
     *
     * @return the string
     */
    public String getTransType(){
        return transType;
    }

    /**
     * Set cntPtyAcct 对手方资金账号.
     */
    public void setCntPtyAcct(String cntPtyAcct){
        this.cntPtyAcct = cntPtyAcct;
    }

    /**
     * Get cntPtyAcct 对手方资金账号.
     *
     * @return the string
     */
    public String getCntPtyAcct(){
        return cntPtyAcct;
    }

    /**
     * Set cntPtyCode 对手方简称.
     */
    public void setCntPtyCode(String cntPtyCode){
        this.cntPtyCode = cntPtyCode;
    }

    /**
     * Get cntPtyCode 对手方简称.
     *
     * @return the string
     */
    public String getCntPtyCode(){
        return cntPtyCode;
    }

    /**
     * Set outTransNo 外部交易流水号.
     */
    public void setOutTransNo(String outTransNo){
        this.outTransNo = outTransNo;
    }

    /**
     * Get outTransNo 外部交易流水号.
     *
     * @return the string
     */
    public String getOutTransNo(){
        return outTransNo;
    }

    /**
     * Set capitalType 支付平台约定的交易类型.
     */
    public void setCapitalType(String capitalType){
        this.capitalType = capitalType;
    }

    /**
     * Get capitalType 支付平台约定的交易类型.
     *
     * @return the string
     */
    public String getCapitalType(){
        return capitalType;
    }

    /**
     * Set planAcctBank 计划资金账号开户行.
     */
    public void setPlanAcctBank(String planAcctBank){
        this.planAcctBank = planAcctBank;
    }

    /**
     * Get planAcctBank 计划资金账号开户行.
     *
     * @return the string
     */
    public String getPlanAcctBank(){
        return planAcctBank;
    }

    /**
     * Set planAcctCity 计划资金账号开户行所在市.
     */
    public void setPlanAcctCity(String planAcctCity){
        this.planAcctCity = planAcctCity;
    }

    /**
     * Get planAcctCity 计划资金账号开户行所在市.
     *
     * @return the string
     */
    public String getPlanAcctCity(){
        return planAcctCity;
    }

    /**
     * Set planAcctName 计划资金账号户名.
     */
    public void setPlanAcctName(String planAcctName){
        this.planAcctName = planAcctName;
    }

    /**
     * Get planAcctName 计划资金账号户名.
     *
     * @return the string
     */
    public String getPlanAcctName(){
        return planAcctName;
    }

    /**
     * Set planAcctProv 计划资金账号开户行所在省.
     */
    public void setPlanAcctProv(String planAcctProv){
        this.planAcctProv = planAcctProv;
    }

    /**
     * Get planAcctProv 计划资金账号开户行所在省.
     *
     * @return the string
     */
    public String getPlanAcctProv(){
        return planAcctProv;
    }

    /**
     * Set planAcctType 计划账号类型.
     */
    public void setPlanAcctType(String planAcctType){
        this.planAcctType = planAcctType;
    }

    /**
     * Get planAcctType 计划账号类型.
     *
     * @return the string
     */
    public String getPlanAcctType(){
        return planAcctType;
    }

    /**
     * Set cntPtyAcctBank 对手方资金账号开户行.
     */
    public void setCntPtyAcctBank(String cntPtyAcctBank){
        this.cntPtyAcctBank = cntPtyAcctBank;
    }

    /**
     * Get cntPtyAcctBank 对手方资金账号开户行.
     *
     * @return the string
     */
    public String getCntPtyAcctBank(){
        return cntPtyAcctBank;
    }

    /**
     * Set cntPtyAcctCity 对手方资金账号开户行所在市.
     */
    public void setCntPtyAcctCity(String cntPtyAcctCity){
        this.cntPtyAcctCity = cntPtyAcctCity;
    }

    /**
     * Get cntPtyAcctCity 对手方资金账号开户行所在市.
     *
     * @return the string
     */
    public String getCntPtyAcctCity(){
        return cntPtyAcctCity;
    }

    /**
     * Set cntPtyAcctName 对手方资金账号户名.
     */
    public void setCntPtyAcctName(String cntPtyAcctName){
        this.cntPtyAcctName = cntPtyAcctName;
    }

    /**
     * Get cntPtyAcctName 对手方资金账号户名.
     *
     * @return the string
     */
    public String getCntPtyAcctName(){
        return cntPtyAcctName;
    }

    /**
     * Set cntPtyAcctProv 对手方资金账号开户行所在省.
     */
    public void setCntPtyAcctProv(String cntPtyAcctProv){
        this.cntPtyAcctProv = cntPtyAcctProv;
    }

    /**
     * Get cntPtyAcctProv 对手方资金账号开户行所在省.
     *
     * @return the string
     */
    public String getCntPtyAcctProv(){
        return cntPtyAcctProv;
    }

    /**
     * Set cntPtyAcctType 对手方资金账号类型.
     */
    public void setCntPtyAcctType(String cntPtyAcctType){
        this.cntPtyAcctType = cntPtyAcctType;
    }

    /**
     * Get cntPtyAcctType 对手方资金账号类型.
     *
     * @return the string
     */
    public String getCntPtyAcctType(){
        return cntPtyAcctType;
    }

    /**
     * Set planAcctChannel .
     */
    public void setPlanAcctChannel(String planAcctChannel){
        this.planAcctChannel = planAcctChannel;
    }

    /**
     * Get planAcctChannel .
     *
     * @return the string
     */
    public String getPlanAcctChannel(){
        return planAcctChannel;
    }

    /**
     * Set cntPtyAcctChannel .
     */
    public void setCntPtyAcctChannel(String cntPtyAcctChannel){
        this.cntPtyAcctChannel = cntPtyAcctChannel;
    }

    /**
     * Get cntPtyAcctChannel .
     *
     * @return the string
     */
    public String getCntPtyAcctChannel(){
        return cntPtyAcctChannel;
    }

    /**
     * Set procTime .
     */
    public void setProcTime(Date procTime){
        this.procTime = procTime;
    }

    /**
     * Get procTime .
     *
     * @return the string
     */
    public Date getProcTime(){
        return procTime;
    }

    /**
     * Set gmtCreate 创建时间.
     */
    public void setGmtCreate(Date gmtCreate){
        this.gmtCreate = gmtCreate;
    }

    /**
     * Get gmtCreate 创建时间.
     *
     * @return the string
     */
    public Date getGmtCreate(){
        return gmtCreate;
    }

    /**
     * Set transTime 交易发起时间.
     */
    public void setTransTime(Date transTime){
        this.transTime = transTime;
    }

    /**
     * Get transTime 交易发起时间.
     *
     * @return the string
     */
    public Date getTransTime(){
        return transTime;
    }

    /**
     * Set finishTime 交易完成时间.
     */
    public void setFinishTime(Date finishTime){
        this.finishTime = finishTime;
    }

    /**
     * Get finishTime 交易完成时间.
     *
     * @return the string
     */
    public Date getFinishTime(){
        return finishTime;
    }

    /**
     * Set accountDate 交易日期（会计日）.
     */
    public void setAccountDate(Date accountDate){
        this.accountDate = accountDate;
    }

    /**
     * Get accountDate 交易日期（会计日）.
     *
     * @return the string
     */
    public Date getAccountDate(){
        return accountDate;
    }

    /**
     * Set gmtModified 修改时间.
     */
    public void setGmtModified(Date gmtModified){
        this.gmtModified = gmtModified;
    }

    /**
     * Get gmtModified 修改时间.
     *
     * @return the string
     */
    public Date getGmtModified(){
        return gmtModified;
    }

    /**
     * Set lastExecTime 上次执行时间.
     */
    public void setLastExecTime(Date lastExecTime){
        this.lastExecTime = lastExecTime;
    }

    /**
     * Get lastExecTime 上次执行时间.
     *
     * @return the string
     */
    public Date getLastExecTime(){
        return lastExecTime;
    }

    /**
     * Set nextExecTime 下次执行时间.
     */
    public void setNextExecTime(Date nextExecTime){
        this.nextExecTime = nextExecTime;
    }

    /**
     * Get nextExecTime 下次执行时间.
     *
     * @return the string
     */
    public Date getNextExecTime(){
        return nextExecTime;
    }

    /**
     * Set cfrmAmt 确认交易金额.
     */
    public void setCfrmAmt(Money cfrmAmt){
        this.cfrmAmt = cfrmAmt;
    }

    /**
     * Get cfrmAmt 确认交易金额.
     *
     * @return the string
     */
    public Money getCfrmAmt(){
        if(cfrmAmt==null){
            return new Money();
        }
        return cfrmAmt;
    }

    /**
     * Set transAmt 发起交易实付金额.
     */
    public void setTransAmt(Money transAmt){
        this.transAmt = transAmt;
    }

    /**
     * Get transAmt 发起交易实付金额.
     *
     * @return the string
     */
    public Money getTransAmt(){
        if(transAmt==null){
            return new Money();
        }
        return transAmt;
    }

    /**
     * Set payableAmt 应付金额.
     */
    public void setPayableAmt(Money payableAmt){
        this.payableAmt = payableAmt;
    }

    /**
     * Get payableAmt 应付金额.
     *
     * @return the string
     */
    public Money getPayableAmt(){
        if(payableAmt==null){
            return new Money();
        }
        return payableAmt;
    }
}
