package com.abssqr.plat.common.dal.mysql.auto.mapper;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanReportItemDefaultDO;
import java.util.List;
import java.util.Date;
import org.apache.ibatis.annotations.Param;

/**
 * 由于需要对分页支持,请直接使用对应的DAO类
 * The Table abs_plan_report_item_default.
 * ABS_PLAN_REPORT_ITEM_DEFAULT
 */
public interface PlanReportItemDefaultDOMapper{

    /**
     * desc:插入表:abs_plan_report_item_default.<br/>
     * @param entity entity
     * @return int
     */
    int insert(PlanReportItemDefaultDO entity);
    /**
     * desc:批量插入表:abs_plan_report_item_default.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanReportItemDefaultDO> list);
    /**
     * desc:根据计划编号删除基础数据.<br/>
     * @param planNo planNo
     * @return int
     */
    int deleteByPlanNo(@Param("planNo")String planNo);
    /**
     * desc:根据计划编号查询基础数据.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @return List<PlanReportItemDefaultDO>
     */
    List<PlanReportItemDefaultDO> getDefaultRptItem(@Param("accountDate")Date accountDate,@Param("planNo")String planNo);
    /**
     * desc:根据计划编号查询基础数据.<br/>
     * @param planNo planNo
     * @return Date
     */
    Date getDefaultRptDate(@Param("planNo")String planNo);
    /**
     * desc:根据计划编号查询基础数据.<br/>
     * @param endDate endDate
     * @param startDate startDate
     * @param planNo planNo
     * @return List<PlanReportItemDefaultDO>
     */
    List<PlanReportItemDefaultDO> getDefaultRptItemByDate(@Param("endDate")Date endDate,@Param("startDate")Date startDate,@Param("planNo")String planNo);
    /**
     * desc:根据计划和日期获取多个统计项的汇总值.<br/>
     * @param accountDate accountDate
     * @param planNo planNo
     * @param list list
     * @return List<PlanReportItemDefaultDO>
     */
    List<PlanReportItemDefaultDO> queryRptItemsByPlanNoAndAccDate(@Param("accountDate")Date accountDate,@Param("planNo")String planNo,@Param("list")List<String> list);
    /**
     * desc:根据计划和日期区间获取多个统计项的汇总值.<br/>
     * @param endDate endDate
     * @param startDate startDate
     * @param planNo planNo
     * @param list list
     * @return List<PlanReportItemDefaultDO>
     */
    List<PlanReportItemDefaultDO> queryPlanRptItemsByPlanNoSection(@Param("endDate")Date endDate,@Param("startDate")Date startDate,@Param("planNo")String planNo,@Param("list")List<String> list);
    /**
     * desc:根据计划和日期区间获取多个统计项的每日数据.<br/>
     * @param endDate endDate
     * @param startDate startDate
     * @param listItem listItem
     * @param listPlanNo listPlanNo
     * @return List<PlanReportItemDefaultDO>
     */
    List<PlanReportItemDefaultDO> queryDayRptItemsByPlanNoSection(@Param("endDate")Date endDate,@Param("startDate")Date startDate,@Param("listItem")List<String> listItem,@Param("listPlanNo")List<String> listPlanNo);
}
