/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 *分配操作类型
 *
 * @author yangcheng
 * @version AllocHandleTypeEnum.java, v0.12019-06-2817:37 yangchengExp$
 */
public enum AllocHandleTypeEnum implements IEnum {
    
    
    PlanAlloc("PlanAlloc", "分配计划"),
    PlanAllocItem("PlanAllocItem", "分配方案")
    ;
    
    private static final Map<String, AllocHandleTypeEnum> codeMap = new HashMap<String, AllocHandleTypeEnum>();
    
    static {
        for (AllocHandleTypeEnum item : AllocHandleTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    AllocHandleTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static AllocHandleTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
    
}

