/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */


package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * @author yaphet
 * @version com.abssqr.common.model.enums: CertTypeEnum.java, v 0.1 2017-12-25 下午8:11 yaphet Exp $
 */

public enum CertTypeEnum implements IEnum {
    CTE_0("0", "身份证"),
    CTE_1("1", "户口簿"),
    CTE_2("2", "护照"),
    CTE_3("3", "军官证"),
    CTE_4("4", "士兵证"),
    CTE_5("5", "港澳居民来往内地通行证"),
    CTE_6("6", "台湾同胞来往内地通行证"),
    CTE_7("7", "临时身份证"),
    CTE_8("8", "外国人居留证"),
    CTE_9("9", "警官证"),
    CTE_A("A", "香港身份证"),
    CTE_B("B", "澳门身份证"),
    CTE_C("C", "台湾身份证"),
    CTE_X("X", "其他证件"),
    ;

    private static final Map<String, CertTypeEnum> codeMap = new HashMap<String, CertTypeEnum>();

    static {
        for (CertTypeEnum item : CertTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    private CertTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static CertTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }


    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}
