/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * @author guozhenhua
 * @version com.abssqr.common.model.enums: ContributiveTypeEnum.java, v 0.1 2017-12-18 上午10:45 guozhenhua Exp $
 */
public enum GrantFundTypeEnum implements IEnum {
    
    CT01("CT01", "单独出资"),
    CT02("CT02", "联合出资");
    
    private static final Map<String, GrantFundTypeEnum> codeMap = new HashMap<String, GrantFundTypeEnum>();

    static {
        for (GrantFundTypeEnum item : GrantFundTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    GrantFundTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static GrantFundTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
}
