/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */


package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * @author yaphet
 * @version com.abssqr.common.client.model.enums: HolidayTypeEnum.java, v 0.1 2018-06-19 上午9:57 yaphet Exp $
 */
public enum HolidayTypeEnum implements IEnum {


    WORKINGDAY("WORKINGDAY", "工作日"),
    LEGALHOLIDAY("LEGALHOLIDAY", "法定节假日"),
    WEEKEND("WEEKEND", "周未"),
    LIEUDAY("LIEUDAY", "调休");

    private static final Map<String, HolidayTypeEnum> codeMap = new HashMap<String, HolidayTypeEnum>();

    static {
        for (HolidayTypeEnum item : HolidayTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    HolidayTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static HolidayTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}
