/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */


package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author yaphet
 * @version com.abssqr.common.client.model.enums: IntrTypeEnum.java, v 0.1 2018-02-24 下午4:35 yaphet Exp $
 */
public enum IntrTypeEnum implements IEnum {
    FLOATING("FLOATING", "浮动利率"),
    FIXED("FIXED", "固定利率"),
    NOTICKET("NOTICKET", "无票面利率");
    private static final Map<String, IntrTypeEnum> codeMap = new HashMap<String, IntrTypeEnum>();

    static {
        for (IntrTypeEnum item : IntrTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    IntrTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static IntrTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }
}
