/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.enums: LayerTypeEnu.java, v 0.1 2019-05-29 13:09 bangis.wangdf Exp $
 */
public enum LayerTypeEnu implements IEnum {
    PRIOR("LT01", "优先",1),
    SECND("LT02", "劣后",2),;

    private static final Map<String, LayerTypeEnu> codeMap = new HashMap<String, LayerTypeEnu>();

    static {
        for (LayerTypeEnu item : LayerTypeEnu.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;
    private int order;

    LayerTypeEnu(String code, String desc,int order ) {
        this.code = code;
        this.desc = desc;
        this.order = order;
    }

    public static LayerTypeEnu getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return code;
    }

    @Override
    public String getDesc() {
        return desc;
    }

    public int getOrder() {
        return order;
    }
}