/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 * 机构定价类型
 *
 * @author zhenxuan.luo
 * @version $Id: AstPriceTypeEnum.java, v 0.1 2017-06-07 下午18:38 zhenxuan.luo Exp $
 */
public enum LoanAstStatusEnum implements IEnum {
    NORMAL("nor", "正常持有"),
    
    CLEAR("clear", "已清偿"),
    
    OUT("out", "已转出"),
    
    ;
    
    private static final Map<String, LoanAstStatusEnum> codeMap = new HashMap<String, LoanAstStatusEnum>();
    
    static {
        for (LoanAstStatusEnum item : LoanAstStatusEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }
    
    private String code;
    private String desc;
    
    private LoanAstStatusEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
    
    public static LoanAstStatusEnum getByCode(String code) {
        return codeMap.get(code);
    }
    
    @Override
    public String getCode() {
        return code;
    }
    
    @Override
    public String getDesc() {
        return desc;
    }
    
}