/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.enums;

/**
 * 计划资金交易账户类型类型
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.model.enums: PlanIndicatorEnum.java, v 0.1 2019-05-28 15:07 zhenxuan.luo Exp $
 */
public enum PlanCapitalTransAcct {
    
    // 托管户 对应平台虚拟户
    HOSTED_PLAT(AccountAttributeEnum.HOSTED, AccountTypeEnum.PLAT_VIRTUAL),
    // 一般户 对应平台虚拟户
    NORMAL_PLAT(AccountAttributeEnum.NORMAL, AccountTypeEnum.PLAT_VIRTUAL),
    
    // 托管户 对应银行账户
    HOSTED_BANK(AccountAttributeEnum.HOSTED, AccountTypeEnum.BANK),
    // 一般户 对应银行账户
    NORMAL_BANK(AccountAttributeEnum.NORMAL, AccountTypeEnum.BANK),
    
    // 回款户 对应平台虚拟户
    RECV_PLAT(AccountAttributeEnum.RECV, AccountTypeEnum.PLAT_VIRTUAL),
    // 放款户 对应平台虚拟户
    PAY_PLAT(AccountAttributeEnum.PAY, AccountTypeEnum.PLAT_VIRTUAL),
    
    // 回款户 对应银行账户
    RECV_BANK(AccountAttributeEnum.RECV, AccountTypeEnum.BANK),
    // 放款户 对应银行账户
    PAY_BANK(AccountAttributeEnum.PAY, AccountTypeEnum.BANK),
    

    ;

    private AccountAttributeEnum attribute;
    private AccountTypeEnum      accountType;

    PlanCapitalTransAcct(AccountAttributeEnum attribute,
                         AccountTypeEnum accountType) {
        this.attribute = attribute;
        this.accountType = accountType;
    }
    
    public AccountAttributeEnum getAttribute() {
        return attribute;
    }
    
    public AccountTypeEnum getAccountType() {
        return accountType;
    }
}