/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.enums;

import com.general.system.common.model.IEnum;

import java.util.HashMap;
import java.util.Map;

/**
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.common.facade.enums: ScreenTypeEnum.java, v 0.1 2020-02-14 10:40 AM xiachenxiang Exp $ 
 */
public enum ScreenTypeEnum implements IEnum {
    BUY_BACK("BUY_BACK", "回购筛选"),

    AST_TRF("AST_TRF", "转让筛选"),

    ;

    private static final Map<String, ScreenTypeEnum> codeMap = new HashMap<>();

    static {
        for (ScreenTypeEnum item : ScreenTypeEnum.values()) {
            codeMap.put(item.getCode(), item);
        }
    }

    private String code;
    private String desc;

    ScreenTypeEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static ScreenTypeEnum getByCode(String code) {
        return codeMap.get(code);
    }

    @Override
    public String getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }
}
