/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.facade.model.rule;

import com.abssqr.plat.common.facade.enums.AstPackTradeTypeEnum;
import com.abssqr.plat.common.facade.enums.AstRiskClassEnum;
import com.abssqr.plat.common.facade.enums.ScreenTypeEnum;
import com.abssqr.plat.common.facade.param.ast.astScreenRuleArea.RuleArea;
import com.general.system.bpm.enums.ApproveStatusEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * @author bangis.wangdf
 * @version com.abssqr.common.client.model.rule: AstScreenRule.java, v 0.1 2018-03-06 下午2:07 yaphet Exp $
 */
public class AstScreenRule extends BaseEntity implements Serializable {

    private static final long                   serialVersionUID = -1917494398362741913L;
    /**
     * 准入产品码
     */
    private              String                 abssqrProdCode;
    /**
     * 准入产品名
     */
    private              String                 prodName;
    /**
     * 准入产品名
     */
    private              String                 prodCode;
    /**
     * 管理机构
     */
    private              String                 managerOrgCode;
    /**
     * maxAge 最大年龄.
     */
    private              Integer                maxAge;
    /**
     * minAge 最小年龄.
     */
    private              Integer                minAge;
    /**
     * latestEndDate 最晚到期日.
     */
    private              Date                   latestEndDate;
    /**
     * earliestEndDate 最早到期日.
     */
    private              Date                   earliestEndDate;
    /**
     * assetScreeningRuleNo 资产筛选规则编号.
     */
    private              String                 screenRuleNo;
    /**
     * assetScreeningRuleName 资产筛选规则编号.
     */
    private              String                 screenRuleName;
    /**
     * 原始权益机构
     */
    private              String                 lenderOrgCode;
    /**
     * 原始权益机构
     */
    private              String                 lenderOrgName;
    /**
     * maxTerm 最大期次.
     */
    private              Integer                maxTerm;
    /**
     * minTerm 最小期次.
     */
    private              Integer                minTerm;
    /**
     * maxRemainDays 最大剩余天数.
     */
    private              Integer                maxRemainDays;
    /**
     * minRemainDays 最小剩余天数.
     */
    private              Integer                minRemainDays;
    /**
     * singleMaxInterRate 单笔最高利率.
     */
    private              BigDecimal             singleMaxInterRate;
    /**
     * singleMinInterRate 单笔最单利率.
     */
    private              BigDecimal             singleMinInterRate;
    /**
     * singleMaxAmount 单笔最大金额.
     */
    private              Money                  singleMaxAmount;
    /**
     * singleMinAmount 单笔最小金额.
     */
    private              Money                  singleMinAmount;
    /**
     * region 地区.
     */
    private              List<RuleArea>         regionList;
    /**
     * assetStatus 资产状态.
     */
    private              List<AstRiskClassEnum> assetStatusList;
    /**
     * 审批状态
     */
    private              ApproveStatusEnum      approveStatus;
    /**
     * gmtCreator 创建人.
     */
    private              String                 gmtCreator;
    /**
     * gmtModifier 修改人.
     */
    private              String                 gmtModifier;
    /**
     * 筛选类型
     */
    private              ScreenTypeEnum         screenType;

    public Integer getMaxAge() {
        return maxAge;
    }

    public void setMaxAge(Integer maxAge) {
        this.maxAge = maxAge;
    }

    public Integer getMinAge() {
        return minAge;
    }

    public void setMinAge(Integer minAge) {
        this.minAge = minAge;
    }

    public String getScreenRuleNo() {
        return screenRuleNo;
    }

    public void setScreenRuleNo(String screenRuleNo) {
        this.screenRuleNo = screenRuleNo;
    }

    public String getScreenRuleName() {
        return screenRuleName;
    }

    public void setScreenRuleName(String screenRuleName) {
        this.screenRuleName = screenRuleName;
    }

    public String getAbssqrProdCode() {
        return abssqrProdCode;
    }

    public void setAbssqrProdCode(String abssqrProdCode) {
        this.abssqrProdCode = abssqrProdCode;
    }

    public String getManagerOrgCode() {
        return managerOrgCode;
    }

    public void setManagerOrgCode(String managerOrgCode) {
        this.managerOrgCode = managerOrgCode;
    }

    public String getProdName() {
        return prodName;
    }

    public void setProdName(String prodName) {
        this.prodName = prodName;
    }

    public Date getLatestEndDate() {
        return latestEndDate;
    }

    public void setLatestEndDate(Date latestEndDate) {
        this.latestEndDate = latestEndDate;
    }

    public Date getEarliestEndDate() {
        return earliestEndDate;
    }

    public void setEarliestEndDate(Date earliestEndDate) {
        this.earliestEndDate = earliestEndDate;
    }

    public Integer getMaxTerm() {
        return maxTerm;
    }

    public void setMaxTerm(Integer maxTerm) {
        this.maxTerm = maxTerm;
    }

    public Integer getMinTerm() {
        return minTerm;
    }

    public void setMinTerm(Integer minTerm) {
        this.minTerm = minTerm;
    }

    public Integer getMaxRemainDays() {
        return maxRemainDays;
    }

    public void setMaxRemainDays(Integer maxRemainDays) {
        this.maxRemainDays = maxRemainDays;
    }

    public Integer getMinRemainDays() {
        return minRemainDays;
    }

    public void setMinRemainDays(Integer minRemainDays) {
        this.minRemainDays = minRemainDays;
    }

    public BigDecimal getSingleMaxInterRate() {
        return singleMaxInterRate;
    }

    public void setSingleMaxInterRate(BigDecimal singleMaxInterRate) {
        this.singleMaxInterRate = singleMaxInterRate;
    }

    public BigDecimal getSingleMinInterRate() {
        return singleMinInterRate;
    }

    public void setSingleMinInterRate(BigDecimal singleMinInterRate) {
        this.singleMinInterRate = singleMinInterRate;
    }

    public Money getSingleMaxAmount() {
        return singleMaxAmount;
    }

    public void setSingleMaxAmount(Money singleMaxAmount) {
        this.singleMaxAmount = singleMaxAmount;
    }

    public Money getSingleMinAmount() {
        return singleMinAmount;
    }

    public void setSingleMinAmount(Money singleMinAmount) {
        this.singleMinAmount = singleMinAmount;
    }

    public List<RuleArea> getRegionList() {
        return regionList;
    }

    public void setRegionList(List<RuleArea> regionList) {
        this.regionList = regionList;
    }

    public List<AstRiskClassEnum> getAssetStatusList() {
        return assetStatusList;
    }

    public void setAssetStatusList(List<AstRiskClassEnum> assetStatusList) {
        this.assetStatusList = assetStatusList;
    }

    public String getLenderOrgCode() {
        return lenderOrgCode;
    }

    public void setLenderOrgCode(String lenderOrgCode) {
        this.lenderOrgCode = lenderOrgCode;
    }

    public ApproveStatusEnum getApproveStatus() {
        return approveStatus;
    }

    public void setApproveStatus(ApproveStatusEnum approveStatus) {
        this.approveStatus = approveStatus;
    }

    public String getGmtCreator() {
        return gmtCreator;
    }

    public void setGmtCreator(String gmtCreator) {
        this.gmtCreator = gmtCreator;
    }

    public String getGmtModifier() {
        return gmtModifier;
    }

    public void setGmtModifier(String gmtModifier) {
        this.gmtModifier = gmtModifier;
    }

    public String getProdCode() {
        return prodCode;
    }

    public void setProdCode(String prodCode) {
        this.prodCode = prodCode;
    }

    public String getLenderOrgName() {
        return lenderOrgName;
    }

    public void setLenderOrgName(String lenderOrgName) {
        this.lenderOrgName = lenderOrgName;
    }

    public ScreenTypeEnum getScreenType() {
        return screenType;
    }

    public void setScreenType(ScreenTypeEnum screenType) {
        this.screenType = screenType;
    }
}
