/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.facade.param.plan.monitor;

import com.abssqr.plat.common.facade.base.BaseOprParam;
import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.PlanIndicatorEnum;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.facade.param.plan.monitor: PlanMonitorQryParam.java, v 0.1 2019-05-28 15:24 zhenxuan.luo Exp $
 */
public class PlanMonitorDelParam extends BaseOprParam {
    
    private static final long serialVersionUID = -4014435385787078759L;
    
    @VldString(message = "计划编号不能为空")
    private String planNo;
    
    @VldEnums(enumClass = PlanIndicatorEnum.class, message = "传入指标值不合法")
    private String indicator;
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_EDIT;
    }
    
    public String getPlanNo() {
        return planNo;
    }
    
    public void setPlanNo(String planNo) {
        this.planNo = planNo;
    }
    
    public String getIndicator() {
        return indicator;
    }
    
    public void setIndicator(String indicator) {
        this.indicator = indicator;
    }
}