/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.param.plan.sub;

import com.abssqr.plat.common.facade.enums.IntrTypeEnum;
import com.abssqr.plat.common.facade.enums.LayerTypeEnu;
import com.abssqr.plat.common.facade.validation.VldDate;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.general.system.common.model.BaseEntity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 投资结构
 *
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.facade.param.plan.sub: InvestStructureParam.java, v 0.1 2019-05-30 15:05 bangis.wangdf Exp $
 */
public class InvestStructureParam extends BaseEntity implements Serializable {
    private static final long serialVersionUID = 8524145157995591525L;
    /**
     * 层次编号.
     */
    private String     layerNo;
    /**
     * 层次名称.
     */
    private String     layerName;
    /**
     * 层级类型
     */
    @VldEnums(enumClass = LayerTypeEnu.class)
    private String     layerType;
    /**
     * 层级规模
     */
    private String       layerAmt = "0";
    /**
     * 利率类型
     */
    @VldEnums(enumClass = IntrTypeEnum.class)
    private String     intrType="FIXED";
    /**
     * 层级利率
     */
    private BigDecimal layerIntr=BigDecimal.ZERO;
    /**
     * 到期日
     */
    private Date       layerEndDate;

    /**
     * 起息日
     */
    @VldDate(message = "起息日不能为空")
    private Date effectDate;

    /**
     * 是否为追加
     */
    private Boolean      append = false;

    public String getLayerNo() {
        return layerNo;
    }

    public void setLayerNo(String layerNo) {
        this.layerNo = layerNo;
    }

    public String getLayerName() {
        return layerName;
    }

    public void setLayerName(String layerName) {
        this.layerName = layerName;
    }

    public String getLayerType() {
        return layerType;
    }

    public void setLayerType(String layerType) {
        this.layerType = layerType;
    }

    public String getLayerAmt() {
        return layerAmt;
    }

    public void setLayerAmt(String layerAmt) {
        this.layerAmt = layerAmt;
    }

    public String getIntrType() {
        return intrType;
    }

    public void setIntrType(String intrType) {
        this.intrType = intrType;
    }

    public BigDecimal getLayerIntr() {
        return layerIntr;
    }

    public void setLayerIntr(BigDecimal layerIntr) {
        this.layerIntr = layerIntr;
    }

    public Date getLayerEndDate() {
        return layerEndDate;
    }

    public void setLayerEndDate(Date layerEndDate) {
        this.layerEndDate = layerEndDate;
    }



    public Boolean getAppend() {
        return append;
    }

    public void setAppend(Boolean append) {
        this.append = append;
    }

    public Date getEffectDate() {
        return effectDate;
    }

    public void setEffectDate(Date effectDate) {
        this.effectDate = effectDate;
    }
}
