/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.facade.param.reportForm;

import com.abssqr.plat.common.facade.enums.EventCodeEnum;
import com.abssqr.plat.common.facade.enums.PlanTypeEnum;
import com.abssqr.plat.common.facade.enums.TimeStampTypeEnum;
import com.abssqr.plat.common.facade.param.base.CommonPlanQryParam;
import com.abssqr.plat.common.facade.validation.VldEnums;
import com.abssqr.plat.common.facade.validation.VldString;

/**
 *
 * @author yangcheng
 * @version ReportFormMgrParam.java, v0.12019-06-2819:17 yangchengExp$
 */
public class ReportFormMgrParam extends CommonPlanQryParam {
    
    private static final long serialVersionUID = -434872112602770794L;
    /**
     *年份
     */
    @VldString(message = "年份不能为空")
    private String year;
    /**
     *时间段
     */
    @VldEnums(enumClass = TimeStampTypeEnum.class)
    private String timeStamp;
    
    /**
     * planType 计划类型
     */
    @VldEnums(enumClass = PlanTypeEnum.class)
    private String planType;
    
    public String getYear() {
        return year;
    }
    
    public void setYear(String year) {
        this.year = year;
    }
    
    public String getTimeStamp() {
        return timeStamp;
    }
    
    public void setTimeStamp(String timeStamp) {
        this.timeStamp = timeStamp;
    }
    
    public String getBeginTime() {
        return this.getYear() + TimeStampTypeEnum.getByCode(this.getTimeStamp()).beginDate();
    }
    
    public String getEndTime() {
        return this.getYear() + TimeStampTypeEnum.getByCode(this.getTimeStamp()).endDate();
    }
    
    @Override
    public EventCodeEnum getEventCode() {
        return EventCodeEnum.ADMIN_DTL_QRY;
    }
    
    public String getPlanType() {
        return planType;
    }
    
    public void setPlanType(String planType) {
        this.planType = planType;
    }
}
