/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.facade.validation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.math.BigDecimal;

/**
 * 
 * @author zhenxuan.luo
 * @version $Id: VldRange.java, v 0.1 2015年5月18日 下午3:53:16 zhenxuan.luo Exp $
 */
@Documented
@Target({ ElementType.METHOD, ElementType.FIELD })
@Retention(RetentionPolicy.RUNTIME)
@Bind(/*validatedBy = RangeValidator.class,*/verifiableClass = { Integer.class, Long.class, BigDecimal.class })
public @interface VldRange {
    /**
     * 
     * @return 校验错误后信息
     */
    String message() default "{invalid collection value range}";

    /**
     * 
     * @return 最小值 >=min
     */
    long min() default Long.MIN_VALUE;

    /**
     * 
     * @return 最大值 <=max
     */
    long max() default Long.MAX_VALUE;
    
    /**
     * @return 是否支持为空
     * 
     * @return
     */
    boolean nullable() default false;

}
