/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.AstSyncTaskCtrLogDO;
import com.abssqr.plat.common.facade.enums.SyncTaskTypeEnum;
import com.abssqr.plat.common.facade.enums.TaskStatusEnum;
import com.abssqr.plat.common.model.domain.task.ctr.AstSyncTaskCtrLog;
import com.google.common.collect.Lists;
import org.apache.commons.collections.CollectionUtils;

import java.util.List;

/**
 * @author bangis.wangdf
 * @version com.abssqr.plat.common.model.convertor: AstSyncTaskCtrLogConvert.java, v 0.1 2019-06-17 17:43 bangis
 * .wangdf Exp $
 */
public class AstSyncTaskCtrLogConvert {
    public static AstSyncTaskCtrLog convert2Model(AstSyncTaskCtrLogDO param) {
        if (param == null){
            return null;
        }
        AstSyncTaskCtrLog result = new AstSyncTaskCtrLog();

        //hostIp HOSTIP
        result.setHostIp(param.getHostIp());
        //status 任务状态
        result.setStatus(TaskStatusEnum.getByCode(param.getStatus()));
        //extData 扩展数据
        result.setExtData(param.getExtData());
        //orgCode 资产管理机构编码
        result.setOrgCode(param.getOrgCode());
        //taskCode SEQ
        result.setTaskCode(param.getTaskCode());
        //taskType 任务类型
        result.setTaskType(SyncTaskTypeEnum.getByCode(param.getTaskType()));
        //taskLogCode 同步CODE
        result.setTaskLogCode(param.getTaskLogCode());
        //execDate 执行日期
        result.setExecDate(param.getExecDate());
        // 机构会计日
        result.setOrgDate(param.getOrgDate());
        return result;
    }

    public static List<AstSyncTaskCtrLog> convert2ModelList(List<AstSyncTaskCtrLogDO> param) {
       List<AstSyncTaskCtrLog> result = Lists.newArrayList();
       if (CollectionUtils.isNotEmpty(param)) {
           param.forEach(item->{
               result.add(convert2Model(item));
           });
       }
       return result;
    }


}
