/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.LoanContractDO;
import com.abssqr.plat.common.facade.enums.AstContractTypeEnum;
import com.abssqr.plat.common.facade.enums.CertTypeEnum;
import com.abssqr.plat.common.facade.enums.GrantFundTypeEnum;
import com.abssqr.plat.common.facade.enums.LoanTypeEnum;
import com.abssqr.plat.common.facade.enums.PeriodTypeEnum;
import com.abssqr.plat.common.facade.enums.RateTypeEnum;
import com.abssqr.plat.common.facade.enums.RepayMethodEnum;
import com.abssqr.plat.common.model.domain.contract.LoanContract;

/**
 * @author hanfei
 * @version $Id: SyncLoanContractConvert.java, v 0.1 2018-01-20 上午12:57 hanfei Exp $
 */
public class LoanContractConvert {
    
    public static LoanContract convert2Domain(LoanContractDO var) {
        if (var == null) {
            return null;
        }
        
        LoanContract instance = new LoanContract();
    
        instance.setUserId(var.getUserId());
        instance.setLenderOrgCode(var.getLenderOrgCode());
        instance.setAstNo(var.getAstNo());
        instance.setDisbAmount(var.getDisbAmount());
        instance.setDisbDate(var.getDisbDate());
        instance.setContNo(var.getContNo());
        instance.setOutContNo(var.getOutContNo());
        instance.setProdNo(var.getProdNo());
        instance.setContractType(AstContractTypeEnum.CT01);
        instance.getLoanCustInfo().setName(var.getName());
        instance.getLoanCustInfo().setCertType(CertTypeEnum.getByCode(var.getCertType()));
        instance.getLoanCustInfo().setCertNo(var.getCertNo());
        instance.getLoanCustInfo().setMobileNo(var.getMobileNo());
        instance.getLoanCustInfo().setProvince(var.getProvince());
        instance.getLoanCustInfo().setCity(var.getCity());
        instance.getLoanCustInfo().setAppLoc(var.getApplyLoc());
        instance.getLoanProperty().setRepayMethod(RepayMethodEnum.getByCode(var.getRepayMethod()));
        instance.getLoanProperty().setRepayPeriod(var.getRepayPeriod());
        instance.getLoanProperty().setRepayPeriodType(PeriodTypeEnum.getByCode(var.getRepayPeriodType()));
        instance.getLoanProperty().setRateDays(var.getRateDays());
        instance.getLoanProperty().setRate(var.getRate());
        instance.getLoanProperty().setPnyRate(var.getPnyRate());
        instance.getLoanProperty().setRateType(RateTypeEnum.getByCode(var.getRateType()));
        instance.getLoanProperty().setTermCnt(var.getTermCnt());
        instance.getLoanProperty().setLoanType(LoanTypeEnum.getByCode(var.getLoanType()));
        instance.getLoanProperty().setPurpose(var.getPurpose());
        instance.getContractInst().setSponsorOrgCode(var.getSponserOrgCode());
        instance.getContractInst().setManagerOrgCode(var.getManagerOrgCode());
        instance.getContractInst().setGrantType(GrantFundTypeEnum.getByCode(var.getGrantType()));
        instance.getContractPeriod().setStartDate(var.getStartDate());
        instance.getContractPeriod().setEndDate(var.getEndDate());
        instance.getContractPeriod().setEffectDate(var.getEffectDate());
        instance.setOutAstNo(var.getOutAstNo());
        
        return instance;
    }
    
    public static LoanContractDO convert2DO(LoanContract var) {
        if (var == null) {
            return null;
        }
        
        LoanContractDO instance = new LoanContractDO();
    
        instance.setUserId(var.getUserId());
        instance.setAstNo(var.getAstNo());
        instance.setOutAstNo(var.getOutAstNo());
        instance.setContNo(var.getContNo());
        instance.setOutContNo(var.getOutContNo());
        instance.setProdNo(var.getProdNo());
        instance.setLenderOrgCode(var.getLenderOrgCode());
        instance.setDisbDate(var.getDisbDate());
        instance.setDisbAmount(var.getDisbAmount());
        
        instance.setName(var.getLoanCustInfo().getName());
        instance.setCity(var.getLoanCustInfo().getCity());
        instance.setCertNo(var.getLoanCustInfo().getCertNo());
        instance.setCertType(var.getLoanCustInfo().getCertType().getCode());
        instance.setMobileNo(var.getLoanCustInfo().getMobileNo());
        instance.setProvince(var.getLoanCustInfo().getProvince());
        instance.setApplyLoc(var.getLoanCustInfo().getAppLoc());
        instance.setManagerOrgCode(var.getContractInst().getManagerOrgCode());
        instance.setSponserOrgCode(var.getContractInst().getSponsorOrgCode());
        instance.setGrantType(var.getContractInst().getGrantType().getCode());
        
        instance.setPurpose(var.getLoanProperty().getPurpose());
        instance.setLoanType(var.getLoanProperty().getLoanType().getCode());
        instance.setRateDays(var.getLoanProperty().getRateDays());
        instance.setRateType(var.getLoanProperty().getRateType().getCode());
        instance.setRepayMethod(var.getLoanProperty().getRepayMethod().getCode());
        instance.setRepayPeriodType(var.getLoanProperty().getRepayPeriodType().getCode());
        instance.setTermCnt(var.getLoanProperty().getTermCnt());
        instance.setRepayPeriod(var.getLoanProperty().getRepayPeriod());
        instance.setRate(var.getLoanProperty().getRate());
        instance.setPnyRate(var.getLoanProperty().getPnyRate());
        
        instance.setEndDate(var.getContractPeriod().getEndDate());
        instance.setStartDate(var.getContractPeriod().getStartDate());
        instance.setEffectDate(var.getContractPeriod().getEffectDate());
        
        return instance;
    }
}
