/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAcctTitleDO;
import com.abssqr.plat.common.facade.enums.CalcTypeEnum;
import com.abssqr.plat.common.facade.enums.FeeScaleTypeEnum;
import com.abssqr.plat.common.facade.enums.FinSerFeeTypeEnum;
import com.abssqr.plat.common.facade.enums.TitleTypeEnum;
import com.abssqr.plat.common.facade.model.plan.PlanAcctTitle;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.convertor: PlanAcctTitleConvertor.java, v 0.1 2019-05-28 15:11 zhenxuan.luo Exp $
 */
public class PlanAcctTitleConvertor {
    
    public static PlanAcctTitle convert2Domain(PlanAcctTitleDO var) {
        
        if (var == null) {
            return null;
        }
        
        PlanAcctTitle res = new PlanAcctTitle();
        res.setPlanNo(var.getPlanNo());
        res.setTitleNo(var.getTitleNo());
        res.setTitleName(var.getTitleName());
        res.setRefNo(var.getRefNo());
        res.setTitleType(TitleTypeEnum.getByCode(var.getTitleType()));
        res.setBal(var.getBal());
        res.setRecpAmt(var.getRecpAmt());
        res.setPayAmt(var.getPayAmt());
        res.setRecpVATax(var.getRecpVatax());
        res.setPayVATax(var.getPayVatax());
        res.setLastSettleDate(var.getLastSettleDate());
        res.setLastPayDate(var.getLastPayDate());
        res.setScaleType(FeeScaleTypeEnum.getByCode(var.getScaleType()));
        res.setInitAmt(var.getInitAmt());
        res.setRate(var.getRate());
        res.setCalcType(CalcTypeEnum.getByCode(var.getCalcType()));
        res.setUpperLimit(var.getUpperLimit());
        res.setEntryAmt(var.getEntryAmt());
        res.setTotalAmt(var.getTotalAmt());
        res.setFinSerFeeType(FinSerFeeTypeEnum.getByCode(var.getFinSerFeeType()));
        res.setEffectDate(var.getEffectDate());
        return res;
    }
    
    public static PlanAcctTitleDO convert2DO(PlanAcctTitle var) {
        
        if (var == null) {
            return null;
        }
        
        PlanAcctTitleDO res = new PlanAcctTitleDO();
        res.setScaleType((var.getScaleType() == null)?"":var.getScaleType().getCode());
        res.setPlanNo(var.getPlanNo());
        res.setTitleNo(var.getTitleNo());
        res.setCalcType(var.getCalcType().getCode());
        res.setTitleName(var.getTitleName());
        res.setRefNo(var.getRefNo());
        res.setTitleType(var.getTitleType().getCode());
        res.setInitAmt(var.getInitAmt());
        res.setLastPayDate(var.getLastPayDate());
        res.setLastSettleDate(var.getLastSettleDate());
        res.setRate(var.getRate());
        res.setBal(var.getBal());
        res.setPayAmt(var.getPayAmt());
        res.setRecpAmt(var.getRecpAmt());
        res.setPayVatax(var.getPayVATax());
        res.setRecpVatax(var.getRecpVATax());
        res.setUpperLimit(var.getUpperLimit());
        res.setEntryAmt(var.getEntryAmt());
        res.setTotalAmt(var.getTotalAmt());
        if(var.getFinSerFeeType()!=null) {
            res.setFinSerFeeType(var.getFinSerFeeType().getCode());
        }
        res.setEffectDate(var.getEffectDate());
        return res;
    }
}