/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.convertor;

import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanAstStatTaskDO;
import com.abssqr.plat.common.facade.enums.OrgAstStatStatusEnum;
import com.abssqr.plat.common.model.domain.plan.PlanAstStatTask;
import com.google.common.collect.Lists;
import org.apache.commons.collections.CollectionUtils;

import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.convertor: PlanAstStatTaskConvert.java, v 0.1 2019-06-12 01:58 zhenxuan.luo Exp $ 
 */
public class PlanAstStatTaskConvert {
    public static List<PlanAstStatTask> convert2Domains(List<PlanAstStatTaskDO> entitys) {
        if (CollectionUtils.isEmpty(entitys)) {
            return null;
        }
        List<PlanAstStatTask> dtos = Lists.newArrayListWithCapacity(entitys.size());
        for (PlanAstStatTaskDO astDO : entitys) {
            dtos.add(convert2Domain(astDO));
        }
        return dtos;
    }
    
    public static PlanAstStatTask convert2Domain(PlanAstStatTaskDO obj) {
        if (obj == null) {
            return null;
        }
        PlanAstStatTask instance = new PlanAstStatTask();
        instance.setPlanNo(obj.getPlanNo());
        instance.setAccountDate(obj.getAccountDate());
        instance.setLastExecTms(obj.getLastExecTms());
        instance.setMinId(obj.getMinId());
        instance.setMaxId(obj.getMaxId());
        instance.setCnt(obj.getCnt());
        instance.setLastExecTime(obj.getLastExecTime());
        instance.setNextExecTime(obj.getNextExecTime());
        instance.setLastHost(obj.getLastHost());
        instance.setExecTimes(obj.getExecTimes());
        instance.setStatus(OrgAstStatStatusEnum.getByCode(obj.getStatus()));
        
        return instance;
    }
    
    public static PlanAstStatTaskDO convert2DO(PlanAstStatTask obj) {
        
        if (obj == null) {
            return null;
        }
        PlanAstStatTaskDO instance = new PlanAstStatTaskDO();
        instance.setPlanNo(obj.getPlanNo());
        instance.setAccountDate(obj.getAccountDate());
        instance.setLastExecTms(obj.getLastExecTms());
        instance.setMinId(obj.getMinId());
        instance.setMaxId(obj.getMaxId());
        instance.setCnt(obj.getCnt());
        instance.setLastExecTime(obj.getLastExecTime());
        instance.setNextExecTime(obj.getNextExecTime());
        instance.setLastHost(obj.getLastHost());
        instance.setExecTimes(obj.getExecTimes());
        instance.setStatus(obj.getStatus().getCode());
        
        return instance;
    }
}