/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.common.model.domain.ast;

import com.abssqr.plat.common.facade.enums.TaskStatusEnum;
import com.general.system.common.model.BaseEntity;
import com.general.system.common.model.Money;
import com.google.common.collect.Maps;

import java.util.Date;
import java.util.Map;

/**
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.domain.ast: AstPoolEntity.java, v 0.1 2019-06-19 22:24 zhenxuan.luo Exp $
 */
public class AstPoolEntity extends BaseEntity {
    /**
     * 资产编号
     */
    private String         astNo;
    /**
     * 资产管理机构
     */
    private String         managerOrgCode;
    /**
     * 资产所属机构 放款池计划
     */
    private String         ownOrg;
    /**
     * 资产期次号
     */
    private Integer        termNo;
    /**
     * 开始日期
     */
    private Date           startDate;
    /**
     * 结束日期
     */
    private Date           endDate;
    /**
     * 业务日期
     */
    private Date           bizDate;
    /**
     * 状态
     */
    private TaskStatusEnum taskStatus;
    /**
     * 本金余额
     */
    private Money          prinBal;
    /**
     * slice 是否已切片.  默认不切片
     */
    private Boolean slice = false;
    

    private Map<String, String> context = Maps.newHashMap();

    public String getAstNo() {
        return astNo;
    }

    public void setAstNo(String astNo) {
        this.astNo = astNo;
    }

    public String getManagerOrgCode() {
        return managerOrgCode;
    }

    public void setManagerOrgCode(String managerOrgCode) {
        this.managerOrgCode = managerOrgCode;
    }

    public Integer getTermNo() {
        return termNo;
    }

    public void setTermNo(Integer termNo) {
        this.termNo = termNo;
    }

    public Date getStartDate() {
        return startDate;
    }

    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }

    public Date getEndDate() {
        return endDate;
    }

    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }

    public Map<String, String> getContext() {
        return context;
    }

    public void setContext(Map<String, String> context) {
        this.context = context;
    }

    public Date getBizDate() {
        return bizDate;
    }

    public void setBizDate(Date bizDate) {
        this.bizDate = bizDate;
    }

    public TaskStatusEnum getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(TaskStatusEnum taskStatus) {
        this.taskStatus = taskStatus;
    }

    public Money getPrinBal() {
        return prinBal;
    }

    public void setPrinBal(Money prinBal) {
        this.prinBal = prinBal;
    }

    public String getOwnOrg() {
        return ownOrg;
    }

    public void setOwnOrg(String ownOrg) {
        this.ownOrg = ownOrg;
    }
    
    public Boolean getSlice() {
        return slice;
    }
    
    public void setSlice(Boolean slice) {
        this.slice = slice;
    }
}