/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.common.model.domain.astSync;

import com.abssqr.plat.common.facade.enums.AstContractTypeEnum;
import com.abssqr.plat.common.facade.enums.CertTypeEnum;
import com.abssqr.plat.common.facade.enums.GrantFundTypeEnum;
import com.abssqr.plat.common.facade.enums.LoanTypeEnum;
import com.abssqr.plat.common.facade.enums.PeriodTypeEnum;
import com.abssqr.plat.common.facade.enums.RateTypeEnum;
import com.abssqr.plat.common.facade.enums.RepayMethodEnum;
import com.general.system.common.model.Money;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author guozhenhua
 * @version com.abssqr.plat.common.model.domain.sync: AstSyncLoanContract.java, v 0.1 2017-12-26 上午1:28 guozhenhua Exp $
 */
public class LoanAstSyncContract extends BaseLoanAstSyncEntity {
    
    /**
     * 合同ID
     */
    private String              contNo;
    /**
     * 产品编码
     */
    private String              prodNo;
    /**
     * contractType 合同类型.
     */
    private AstContractTypeEnum contType;
    /**
     * 手机号
     */
    private String              mobileNo;
    /**
     * 客户姓名
     */
    private String              userName;
    /**
     * 证件号
     */
    private String              certNo;
    /**
     * 证件类型
     */
    private CertTypeEnum        certType;
    /**
     * 省份
     */
    private String              province;
    /**
     * 城市
     */
    private String              city;
    /**
     * 申请地址
     */
    private String              applyLoc;
    /**
     * 贷款类型
     */
    private LoanTypeEnum        loanType;
    /**
     * 贷款用途
     */
    private String              purpose;
    /**
     * 出资模式
     */
    private GrantFundTypeEnum   grantType;
    /**
     * 发放金额
     */
    private Money               disbAmt     = new Money();
    /**
     * 支用日期（放款日期）
     */
    private Date                disbDate;
    /**
     * 还款方式
     */
    private RepayMethodEnum     repayMethod;
    /**
     * 还款周期
     */
    private int                 repayPeriod = 1;
    /**
     * 还款周期类型
     */
    private PeriodTypeEnum      repayPeriodType;
    /**
     * 日化系数
     */
    private int                 daysCoef;
    /**
     * 利率
     */
    private BigDecimal          interRate;
    /**
     * 罚息利率
     */
    private BigDecimal          penalRate;
    /**
     * 利率类型
     */
    private RateTypeEnum        rateType;
    /**
     * 分期数
     */
    private int                 termCnt;
    /**
     * 生效日
     */
    private Date                startDate;
    /**
     * 到期日
     */
    private Date                endDate;
    
    public String getContNo() {
        return contNo;
    }
    
    public void setContNo(String contNo) {
        this.contNo = contNo;
    }
    
    public String getProdNo() {
        return prodNo;
    }
    
    public void setProdNo(String prodNo) {
        this.prodNo = prodNo;
    }
    
    public AstContractTypeEnum getContType() {
        return contType;
    }
    
    public void setContType(AstContractTypeEnum contType) {
        this.contType = contType;
    }
    
    public String getMobileNo() {
        return mobileNo;
    }
    
    public void setMobileNo(String mobileNo) {
        this.mobileNo = mobileNo;
    }
    
    public String getUserName() {
        return userName;
    }
    
    public void setUserName(String userName) {
        this.userName = userName;
    }
    
    public String getCertNo() {
        return certNo;
    }
    
    public void setCertNo(String certNo) {
        this.certNo = certNo;
    }
    
    public CertTypeEnum getCertType() {
        return certType;
    }
    
    public void setCertType(CertTypeEnum certType) {
        this.certType = certType;
    }
    
    public String getProvince() {
        return province;
    }
    
    public void setProvince(String province) {
        this.province = province;
    }
    
    public String getCity() {
        return city;
    }
    
    public void setCity(String city) {
        this.city = city;
    }
    
    public LoanTypeEnum getLoanType() {
        return loanType;
    }
    
    public void setLoanType(LoanTypeEnum loanType) {
        this.loanType = loanType;
    }
    
    public String getPurpose() {
        return purpose;
    }
    
    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }
    
    public GrantFundTypeEnum getGrantType() {
        return grantType;
    }
    
    public void setGrantType(GrantFundTypeEnum grantType) {
        this.grantType = grantType;
    }
    
    public Money getDisbAmt() {
        return disbAmt;
    }
    
    public void setDisbAmt(Money disbAmt) {
        this.disbAmt = disbAmt;
    }
    
    public Date getDisbDate() {
        return disbDate;
    }
    
    public void setDisbDate(Date disbDate) {
        this.disbDate = disbDate;
    }
    
    public RepayMethodEnum getRepayMethod() {
        return repayMethod;
    }
    
    public void setRepayMethod(RepayMethodEnum repayMethod) {
        this.repayMethod = repayMethod;
    }
    
    public int getRepayPeriod() {
        return repayPeriod;
    }
    
    public void setRepayPeriod(int repayPeriod) {
        this.repayPeriod = repayPeriod;
    }
    
    public PeriodTypeEnum getRepayPeriodType() {
        return repayPeriodType;
    }
    
    public void setRepayPeriodType(PeriodTypeEnum repayPeriodType) {
        this.repayPeriodType = repayPeriodType;
    }
    
    public int getDaysCoef() {
        return daysCoef;
    }
    
    public void setDaysCoef(int daysCoef) {
        this.daysCoef = daysCoef;
    }
    
    public BigDecimal getInterRate() {
        return interRate;
    }
    
    public void setInterRate(BigDecimal interRate) {
        this.interRate = interRate;
    }
    
    public BigDecimal getPenalRate() {
        return penalRate;
    }
    
    public void setPenalRate(BigDecimal penalRate) {
        this.penalRate = penalRate;
    }
    
    public RateTypeEnum getRateType() {
        return rateType;
    }
    
    public void setRateType(RateTypeEnum rateType) {
        this.rateType = rateType;
    }
    
    public int getTermCnt() {
        return termCnt;
    }
    
    public void setTermCnt(int termCnt) {
        this.termCnt = termCnt;
    }
    
    public Date getStartDate() {
        return startDate;
    }
    
    public void setStartDate(Date startDate) {
        this.startDate = startDate;
    }
    
    public Date getEndDate() {
        return endDate;
    }
    
    public void setEndDate(Date endDate) {
        this.endDate = endDate;
    }
    
    public String getApplyLoc() {
        return applyLoc;
    }
    
    public void setApplyLoc(String applyLoc) {
        this.applyLoc = applyLoc;
    }
    
}
