/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */
package com.abssqr.plat.common.model.exception;

import com.general.system.common.model.IErrorCode;
import com.general.system.common.model.exception.BaseException;

/**
 * 异常基础类
 *
 * @author zhenxuan.luo
 * @version $Id: AbssqrBaseException.java, v 0.1 2017-06-06 上午11:18 zhenxuan.luo Exp $ 
 */
public abstract class AbssqrBaseException extends BaseException {
    
    private static final long       serialVersionUID = -9068646941104516668L;
    /**
     * 错误码
     */
    protected            IErrorCode errCode;
    /**
     * 是否可重试
     */
    protected            boolean    isCanRetry       = true;
    
    public AbssqrBaseException(String message, Throwable e) {
        super(message, e);
    }
    
    public AbssqrBaseException(String message) {
        this(message, null);
    }
    
    /**
     * Getter method for property <tt>errCode</tt>.
     *
     * @return property value of errCode
     */
    public IErrorCode getErrCode() {
        return errCode;
    }
    
    /**
     * Getter method for property <tt>isCanRetry</tt>.
     *
     * @return property value of isCanRetry
     */
    public boolean isCanRetry() {
        return isCanRetry;
    }
    
}