/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.common.model.repo.ast;

import com.abssqr.plat.common.model.domain.plan.PlanAstStatTask;

import java.util.Date;
import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.common.model.repo.ast: OrgAstStatTaskRepo.java, v 0.1 2019-06-11 15:28 zhenxuan.luo Exp $ 
 */
public interface PlanAstStatTaskRepo {
    
    /**
     * 根据计划编号获取任务列表
     *
     * @param planNo
     * @return
     */
    PlanAstStatTask getPlanNo(String planNo);
    
    /**
     * 更新任务
     *
     * @return
     */
    int updateTask(PlanAstStatTask task);
    
    /**
     *
     * @return
     */
    int updateHangTasksByIp(String ip);
    
    /**
     * 创建任务
     *
     * @param task
     * @return
     */
    int createTask(PlanAstStatTask task);
    
    /**
     *
     * @param planNo
     * @return
     */
    PlanAstStatTask lock(String planNo);
    
    List<PlanAstStatTask> getToDo(Date curTime, Integer limit);
    
    int updateTaskExec(Date lastExecTime,String lastHost,List<String> planNos);
    
    List<PlanAstStatTask> queryFailStatTask(Long execTimes);
    /**
     * 根据状态计数
     * @param deadLine
     * @param status
     * @return
     */
    Long countByStatusAndTime(Date deadLine, String status);
}