/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.model.repo.dataChange;

import com.abssqr.plat.common.facade.model.BizDataChange;
import com.general.system.bpm.enums.ApproveStatusEnum;

/**
 * 变更记录仓储
 *
 * @author yangcheng
 * @version ChangeRepo.java, v0.12019-06-1410:26 yangchengExp$
 */
public interface ChangeRepo {
    /**
     * 新增信息
     *
     * @param
     * @return
     */
    void addChange(BizDataChange dataChange);
    
    /**
     * 查询信息
     *
     * @param changeNo
     * @return
     */
    BizDataChange getChange(String changeNo);

    /**
     * 根据bizNo和status查询审批数量
     * @param bizNo
     * @param approveStatus
     * @param bizType
     * @return
     */
    Long cntByBizNoAndStatusAndBizType(String bizNo, String approveStatus,String bizType);

    /**
     * 更新审批状态
     * @param status
     * @param changeNo
     * @param oldStatus
     * @return
     */
    boolean updateStatus(ApproveStatusEnum status, String changeNo, ApproveStatusEnum oldStatus);
}
