/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.plan;

import com.abssqr.plat.common.facade.model.plan.PlanAstPriceRule;

import java.util.List;

/**
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.common.model.repo.plan: PlanAstPriceRuleRepo.java, v 0.1 2019-11-07 11:27 AM xiachenxiang Exp $ 
 */
public interface PlanAstPriceRuleRepo {

    /**
     * desc:批量插入表:abs_plan_ast_price_rule.<br/>
     * @param list list
     * @return int
     */
    int insertBatch(List<PlanAstPriceRule> list);

    /**
     * desc:根据普通索引PriceRulePlanNo获取数据:abs_plan_ast_price_rule.<br/>
     * @param planNo planNo
     * @return List<PlanAstPriceRuleDO>
     */
    List<PlanAstPriceRule> queryByPriceRulePlanNo(String planNo);

    /**
     * desc:根据计划编号删除数据:deleteByPlanNo.<br/>
     *
     * @param planNo planNo
     * @return int
     */
    int deleteByPlanNo(String planNo);
}
