/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */

package com.abssqr.plat.common.model.repo.plan.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.PlanFeeStructureDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanFeeStructureDO;
import com.abssqr.plat.common.facade.model.plan.FeeStructure;
import com.abssqr.plat.common.model.convertor.PlanFeeStructureConvert;
import com.abssqr.plat.common.model.repo.plan.PlanFeeStructureRepo;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author yaphet
 * @version com.abssqr.admin.common.model.repo.plan.impl: FeeStructureRepoImpl.java, v 0.1 2018-01-19 下午4:54 yaphet
 * Exp $
 */
@Repository
public class PlanFeeStructureRepoImpl implements PlanFeeStructureRepo {

    @Autowired
    private PlanFeeStructureDAO planFeeStructureDAO;

    /**
     * 获取计划费用结构
     *
     * @param planNo
     * @return
     */
    @Override
    public List<FeeStructure> selectByPlanNo(String planNo) {
        List<PlanFeeStructureDO> planFeeStructureDOS = planFeeStructureDAO.selectByPlanNo(planNo);
        return PlanFeeStructureConvert.convert2FeeStructureDomainList(planFeeStructureDOS);
    }

    @Override
    public void cleanByPlanNo(String planNo) {
        planFeeStructureDAO.deleteByPlanNo(planNo);
    }

    /**
     * 增加计划费用
     *
     * @param planNo
     * @param feeStructureList
     */
    @Override
    public void add(String planNo, List<FeeStructure> feeStructureList) {

        List<PlanFeeStructureDO> planFeeStructureDOS = PlanFeeStructureConvert.convert2Dos(planNo,
            feeStructureList);
        if (CollectionUtils.isNotEmpty(planFeeStructureDOS)) {
            planFeeStructureDAO.insertBatch(planFeeStructureDOS);
        }
    }
}
