/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.common.model.repo.plan.impl;

import com.abssqr.plat.common.dal.mysql.auto.dao.PlanMonitorRecordDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.PlanMonitorRecordDO;
import com.abssqr.plat.common.dal.mysql.auto.paging.MonitorRecordPage;
import com.abssqr.plat.common.facade.model.plan.PlanMonitor;
import com.abssqr.plat.common.facade.param.plan.monitor.PlanEventMonitorQryParam;
import com.abssqr.plat.common.model.convertor.PlanMonitorRecordConvertor;
import com.abssqr.plat.common.model.repo.plan.PlanMonitorRecordRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.math.BigDecimal;

/**
 *
 * @author yangcheng
 * @version PlanMonitorRecordRepoImpl.java, v0.12019-07-0318:47 yangchengExp$
 */
@Component
public class PlanMonitorRecordRepoImpl implements PlanMonitorRecordRepo {
    
    @Autowired
    private PlanMonitorRecordDAO planMonitorRecordDAO;
    
    @Override
    public void insert(PlanMonitor planMonitor, BigDecimal nowVal) {
        
        PlanMonitorRecordDO planMonitorRecordDO = PlanMonitorRecordConvertor
                                                          .planMonitor2RecordDO(planMonitor, nowVal);
        planMonitorRecordDAO.insert(planMonitorRecordDO);
    }
    
    @Override
    public MonitorRecordPage getEventByPlan(PlanEventMonitorQryParam param) {
        MonitorRecordPage monitorRecordPage=new MonitorRecordPage();
        monitorRecordPage.setPlanNo(param.getPlanNo());
        return planMonitorRecordDAO.getEventByPlan(monitorRecordPage);
    }
}
