/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2018 All Rights Reserved. 
 */
package com.abssqr.plat.common.util.thread;

/**
 *
 * 可清理的线程变量
 * <p>
 * 构造时会自动注册到清理中心
 * 在服务或者任务拦截器中进行统一清理
 *
 * @author zhenxuan.luo
 * @version com.loan.common.model.thread: CleanableThreadLocal.java, v 0.1 2018-12-14 AM04:39 zhenxuan.luo Exp $
 */
public class CleanableThreadLocal<T> extends ThreadLocal<T> {
    
    /**
     * 构造函数
     */
    public CleanableThreadLocal() {
        // 构造时,注册到清理中心
        ThreadLocalCleaner.register(this);
    }
}