/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.core.service.plan;

import com.abssqr.plat.common.facade.model.plan.FeeStructure;
import com.abssqr.plat.common.model.repo.plan.PlanFeeStructureRepo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 计划费用组件
 * @author bangis.wangdf
 * @version com.abssqr.plat.core.service.plan: PlanFeeStructureManager.java, v 0.1 2019-05-31 22:50 bangis.wangdf Exp $ 
 */
@Component
public class PlanFeeStructureManager {
    @Autowired
    private PlanFeeStructureRepo planFeeStructureRepo;
    
    /**
     * 获取费用结构
     * @param planNo
     * @return
     */
    public List<FeeStructure> selectByPlanNo(String planNo) {
        return planFeeStructureRepo.selectByPlanNo(planNo);
    }
    
    /**
     * 更新费用结构
     * @param planNo
     * @param feeStructureList
     */
    public void addOrUpdate(String planNo, List<FeeStructure>  feeStructureList) {
        planFeeStructureRepo.cleanByPlanNo(planNo);
        planFeeStructureRepo.add(planNo, feeStructureList);
    }
}
