/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2018 All Rights Reserved.
 */
package com.abssqr.plat.core.service.report;

import com.abssqr.plat.common.facade.model.report.ReportEntity;
import com.abssqr.plat.common.util.thread.CleanableThreadLocal;
import com.google.common.collect.Lists;

import java.util.List;

/**
 *
 * @author zhenxuan.luo
 * @version com.loan.common.model.domain.transList: BizContextHolder.java, v 0.1 2018-12-14 AM04:31 zhenxuan.luo Exp $
 */
public class PlanReportHolder {
    
    /** 线程上下文 */
    private static final ThreadLocal<List<ReportEntity>> HOLDER = new CleanableThreadLocal<List<ReportEntity>>() {
        @Override
        protected List<ReportEntity> initialValue() {
            return Lists.newArrayList();
        }
    };
    
    private PlanReportHolder() {
    }
    
    public static List<ReportEntity> get() {
        return HOLDER.get();
    }
    
    public static void add(List<ReportEntity> reportEntities) {
        List<ReportEntity> entities = HOLDER.get();
        if (null == entities) {
            entities = Lists.newArrayList();
            HOLDER.set(entities);
        }
        HOLDER.get().addAll(reportEntities);
    }
    
    /**
     * 清理
     */
    public static void clear() {
        HOLDER.remove();
    }
}