/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.core.service.report.calc.impl;

import com.abssqr.plat.common.facade.enums.AstRiskClassEnum;
import com.abssqr.plat.common.facade.enums.ReportAstStatTypeEnum;
import com.abssqr.plat.common.facade.model.report.ReportItem;
import com.abssqr.plat.common.model.domain.ast.Loan;
import com.abssqr.plat.common.model.domain.ast.LoanInstal;
import com.abssqr.plat.common.model.domain.loanTrans.LoanInstalLog;
import com.abssqr.plat.common.model.domain.loanTrans.LoanLog;
import com.google.common.collect.Lists;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.List;

/**
 * 报表 五级分类
 * @author zhenxuan.luo
 * @version com.abssqr.plat.core.service.report.calc.impl: AstClzItemCalc.java, v 0.1 2019-06-27 00:59 zhenxuan.luo Exp $
 */
@Component
public class AstClzItemCalc extends BaseReportItemCalc {
    
    @Override
    protected ReportAstStatTypeEnum getType() {
        return ReportAstStatTypeEnum.AST_CLZ;
    }
    
    @Override
    public List<ReportItem> calcByInstal(Loan loan, LoanInstal loanInstal, Date accountDate) {
        return buildCommonItem(loan.getLoanRisk().getRiskClass());
    }
    
    @Override
    public List<ReportItem> calcByLog(LoanLog loanLog, LoanInstalLog log) {
        return buildCommonItem(loanLog.getBfRiskCl());
    }
    
    private List<ReportItem> buildCommonItem(AstRiskClassEnum riskClass) {
        ReportItem reportItem = new ReportItem();
        reportItem.setAstStatType(getType());
        reportItem.setAstStatVal(riskClass.getCode());
        return Lists.newArrayList(reportItem);
    }
}