/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.test.controllertest.ast;

import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.http.MediaType;
import org.springframework.test.web.servlet.RequestBuilder;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;
import org.testng.annotations.Test;

import static org.springframework.test.web.servlet.request.MockMvcRequestBuilders.get;
import static org.springframework.test.web.servlet.result.MockMvcResultHandlers.print;
import static org.springframework.test.web.servlet.result.MockMvcResultMatchers.status;

/**
 *
 * @author zhenxuan.luo
 * @version com.abssqr.plat.test.controllertest.plan: PlanAllocControllerTest.java, v 0.1 2019-07-03 18:04 zhenxuan.luo Exp $
 */
public class LoanControllerTest extends BaseAutoTests {
    
    @Test(dataProvider = "YamlDataProvider", description = "no desc", priority = 0)
    @XTest(relatePath = "controllertest/ast/LoanController/getList")
    public void getList(ICase iCase, String planNo) throws Exception {
        try {
            MultiValueMap<String, String> params = new LinkedMultiValueMap<>();
            params.add("ownOrg", "zl-plan");
            params.add("pageNum", "1");
            params.add("pageSize", "10");
            
            RequestBuilder request = get("/plan/ast/getList.json").contentType(MediaType.APPLICATION_FORM_URLENCODED)
                                             .params(params);
            
            mvc.perform(request).andDo(print()).andExpect(status().isOk())
                    .andReturn().getResponse().getContentAsString();
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
        
    }
    
}