/**
 * abssqr.com Inc. 
 * Copyright (c) 2017-2019 All Rights Reserved. 
 */
package com.abssqr.plat.test.unittest.acct;

import com.abssqr.plat.common.facade.model.account.Account;
import com.abssqr.plat.common.facade.model.plan.PlanAst;
import com.abssqr.plat.common.facade.service.AccountService;
import com.abssqr.plat.common.model.repo.plan.PlanAstRepository;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.common.util.VarChecker;
import com.general.system.tool.util.ToolUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

import java.util.List;

/**
 *
 * @author hanfei
 * @version $Id: AccountServiceTest.java, v 0.1 2019-12-27 12:58 AM hanfei Exp $ 
 */
public class AccountServiceTest extends BaseAutoTests{
    @Autowired
    private AccountService accountService;
    
    @Autowired
    private PlanAstRepository planAstRepository;
    
    @XTest(relatePath = "unittest/offlineDebug/account")
    @Test(dataProvider = "YamlDataProvider", description = "查询计划余额")
    public void testBalance(ICase iCase, String planNo) {
        try {
            List<Account> accounts = accountService.queryBalance();
            boolean result = false;
            PlanAst ast = planAstRepository.getByPlanNo(planNo);
            for(Account one : accounts) {
                if (ToolUtil.equals(one.getPlanNo(), planNo)
                        && one.getBankBal().compareTo(ast.getCash()) == 0){
                    result = true;
                }
            }
            
            VarChecker.checkArgument(result);
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
