/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.test.unittest.astScreenRule;

import com.abssqr.plat.common.facade.model.rule.AstScreenRule;
import com.abssqr.plat.common.facade.param.ast.AstScreenRulePageQryParam;
import com.abssqr.plat.common.facade.param.ast.AstScreenRuleQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.ast.AstScreenRuleVO;
import com.abssqr.plat.common.facade.service.ast.AstScreenRuleService;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.common.util.DateTimeUtil;
import com.general.system.core.common.constant.factory.ConstantFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;
import org.unitils.reflectionassert.ReflectionAssert;

/**
 * 筛选规则
 * @author yangcheng
 * @version AstScreenRuleEditUnitTest.java, v0.12019-06-1000:09 yangchengExp$
 */
public class QueryAstScreenRuleUnitTest extends BaseAutoTests {
    
    @Autowired
    private AstScreenRuleService astScreenRuleService;
    
    @XTest(relatePath = "unittest/astScreenRule/query")
    @Test(dataProvider = "YamlDataProvider", description = "查询筛选规则列表")
    public void initPlanAcctTitles(ICase iCase, AstScreenRulePageQryParam param, AstScreenRuleVO expScreenRule) {
        try {
            ConstantFactory.me().securityLogin("administrator");
            
            BasePage<AstScreenRuleVO> screenRule = astScreenRuleService.getAstScreenList(param);
            
            expScreenRule.setGmtCreate(DateTimeUtil.getStandardDate(expScreenRule.getGmtCreate()));
            expScreenRule.setGmtModified(DateTimeUtil.getStandardDate(expScreenRule.getGmtModified()));
            ReflectionAssert.assertReflectionEquals(expScreenRule, screenRule.getDatas().get(0));
            
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
    
    @XTest(relatePath = "unittest/astScreenRule/info")
    @Test(dataProvider = "YamlDataProvider", description = "查询筛选规则")
    public void initPlanAcctTitles(ICase iCase, AstScreenRuleQryParam param, AstScreenRule expScreenRule) {
        try {
            ConstantFactory.me().securityLogin("administrator");
            
            AstScreenRule screenRule = astScreenRuleService.getAstScreenRule(param);
            
            ReflectionAssert.assertReflectionEquals(expScreenRule, screenRule);
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
    
}
