/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.test.unittest.notice;

import com.abssqr.plat.core.service.notice.AbssqrNoticeManager;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.common.dal.auto.paging.ReceiverNoticeListPage;
import com.general.system.common.util.VarChecker;
import com.general.system.core.common.constant.factory.ConstantFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.test.unittest.notice: AbssqrQueryNoticeByReceiverTest.java, v 0.1 2019-12-18 3:50 PM xiachenxiang Exp $ 
 */
public class AbssqrQueryNoticeByReceiverTest extends BaseAutoTests {
    @Autowired
    private AbssqrNoticeManager abssqrNoticeManager;
    
    @XTest(relatePath = "unittest/notice/page")
    @Test(dataProvider = "YamlDataProvider", description = "查询消息通知列表")
    public void queryNoticeByReceiver(ICase iCase) {
        try {
            ConstantFactory.me().securityLogin("administrator");
            ReceiverNoticeListPage page = new ReceiverNoticeListPage();
            abssqrNoticeManager.queryNoticeByReceiver(page);
            VarChecker.checkArgument(page.getTotal() > 0);
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
