/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.test.unittest.plan;

import com.abssqr.plat.biz.shared.handler.PlanSettleHandler;
import com.abssqr.plat.common.facade.model.plan.PlanBase;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.core.service.accounting.OrgAcctDayComponent;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.test.unittest.plan: PlanTitleSettleTest.java, v 0.1 2019-11-28 10:31 AM xiachenxiang Exp $
 */
public class PlanTitleSettleTest extends BaseAutoTests {

    @Autowired
    private PlanSettleHandler planSettleHandler;
    
    @Autowired
    private OrgAcctDayComponent orgAcctDayComponent;
    
    @XTest(relatePath = "unittest/plan/PlanAcctTitleManager/titleSettle")
    @Test(dataProvider = "YamlDataProvider", description = "科目结息测试")
    public void titleSettle(ICase iCase, String acctDate, PlanBase planBase) {
        // 更新会计日期
        try {
            
            super.updateDate(acctDate, OrgCodeEnum.ABS.getCode());
    
            planSettleHandler.execute(planBase, orgAcctDayComponent.getTrfAcctDay().getStandardDate());
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
