/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */

package com.abssqr.plat.test.unittest.planAstPrice;

import com.abssqr.plat.common.dal.mysql.auto.dao.BizDataChangeDAO;
import com.abssqr.plat.common.dal.mysql.auto.dataobject.BizDataChangeDO;
import com.abssqr.plat.common.facade.param.plan.priceRule.PlanAstPriceRuleParam;
import com.abssqr.plat.common.facade.param.plan.priceRule.PriceQryParam;
import com.abssqr.plat.common.facade.result.plan.PlanAstPriceRuleVo;
import com.abssqr.plat.common.facade.service.plan.PlanAstPriceRuleService;
import com.abssqr.plat.common.model.enums.OrgCodeEnum;
import com.abssqr.plat.core.service.change.ChangeManager;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.bpm.domain.result.ProcessAfterResult;
import com.general.system.bpm.enums.ApproveStatusEnum;
import com.general.system.common.util.VarChecker;
import com.general.system.core.common.constant.factory.ConstantFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

/**
 * @author xiachenxiang
 * @version com.abssqr.plat.test.unittest.planAstPrice: EditAstPriceTest.java, v 0.1 2019-11-07 6:29 PM xiachenxiang Exp $
 */
public class EditAstPriceTest extends BaseAutoTests {

    @Autowired
    private PlanAstPriceRuleService planAstPriceRuleService;
    @Autowired
    private BizDataChangeDAO bizDataChangeDAO;
    @Autowired
    private ChangeManager changeManager;


    @XTest(relatePath = "unittest/planAstPrice/edit")
    @Test(dataProvider = "YamlDataProvider", description = "修改定价规则")
    public void initPlanAcctTitles(ICase iCase, String acctDate, PlanAstPriceRuleParam param,Integer cnt) {
        try {
            ConstantFactory.me().securityLogin("administrator");
            // 更新会计日期
            super.updateDate(acctDate, OrgCodeEnum.ABS.getCode());

            planAstPriceRuleService.edit(param);
            BizDataChangeDO bizData = bizDataChangeDAO.getByBizNoAndStatus(param.getPlanNo(), "PENDING");
            if (bizData != null) {
                ProcessAfterResult result = new ProcessAfterResult();
                result.setBusinessKey(bizData.getChangeNo());
                result.setStatusEnum(ApproveStatusEnum.PASSED);
                changeManager.handle(result);
            }
            PriceQryParam priceQryParam = new PriceQryParam();
            priceQryParam.setPlanNo(param.getPlanNo());
            PlanAstPriceRuleVo planAstPriceRuleVo = planAstPriceRuleService.queryDtl(priceQryParam);
            // 校验数量
            VarChecker.checkArgument(planAstPriceRuleVo.getPlanAstPriceRuleList().size()==cnt.intValue());
            checkDB(iCase);

        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }

    }
}
