/**
 * abssqr.comInc.
 * Copyright(c)2019-2019AllRightsReserved.
 */
package com.abssqr.plat.test.unittest.prod;

import com.abssqr.plat.common.facade.model.prod.LoanProduct;
import com.abssqr.plat.common.facade.param.prod.ProdPageQryParam;
import com.abssqr.plat.common.facade.param.prod.ProdQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.prod.ProdListVO;
import com.abssqr.plat.test.BaseAutoTests;
import com.abssqr.plat.web.controller.prod.ProductController;
import com.abssqr.test.annotation.XTest;
import com.abssqr.test.icase.ICase;
import com.general.system.common.util.DateTimeUtil;
import com.general.system.core.common.constant.factory.ConstantFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.testng.annotations.Test;

import static org.unitils.reflectionassert.ReflectionAssert.assertReflectionEquals;

/**
 *
 * @author yangcheng
 * @version ProdEditUnitTest.java, v0.12019-06-0610:29 yangchengExp$
 */
public class QueryProdUnitTest extends BaseAutoTests {
    
    @Autowired
    private ProductController prodController;


    @XTest(relatePath = "unittest/prod/queryList")
    @Test(dataProvider = "YamlDataProvider", description = "新增产品准入规则")
    public void queryProdList(ICase iCase, ProdPageQryParam param, ProdListVO expProd){
        try{
            ConstantFactory.me().securityLogin("administrator");
            // 查询产品列表
            BasePage<ProdListVO> prodList = prodController.getProdList(param);
    
            expProd.setGmtModified(DateTimeUtil.getStandardDate(expProd.getGmtModified()));
            assertReflectionEquals(expProd, prodList.getDatas().get(0));
        
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }


    @XTest(relatePath = "unittest/prod/queryProd")
    @Test(dataProvider = "YamlDataProvider", description = "新增产品准入规则")
    public void queryProd(ICase iCase, ProdQryParam param, LoanProduct expProd){
        try{
            ConstantFactory.me().securityLogin("administrator");
            // 查询产品列表
            LoanProduct prod = prodController.getProd(param);

            expProd.setProductRiskCls(prod.getProductRiskCls());
            assertReflectionEquals(expProd, prod);
        } finally {
            // 校验数据
            super.checkDB(iCase);
            super.clearDB(iCase);
        }
    }
}
