/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.web.config;

import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

import cn.hutool.core.util.StrUtil;
import com.general.system.common.model.IEnum;
import com.general.system.common.util.LogUtil;
import com.general.system.modular.result.DictResult;
import com.general.system.web.config.DictStaticConfig;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.DependsOn;
import org.springframework.stereotype.Component;

/**
 * 字典配置实现
 * @author hanfei
 * @version $Id: DictConfigRealize.java, v 0.1 2019-06-30 8:38 PM hanfei Exp $
 */
@Component
@DependsOn("springContextHolder")
public class DictConfigRealize extends DictStaticConfig {

    private final Logger logger = LoggerFactory.getLogger(getClass());

    /**
     * 类中的枚举类作为字典集一部分
     * @return
     */
    @Override
    public Map<String, IEnum[]> getDictEnum() {
        Map<String, IEnum[]> dictMap = new HashMap<>();
        // 渠道编号
        //dictMap.put("channelNo", WkChannelNoEnum.values());
        return dictMap;
    }

    /**
     * 特殊处理
     *
     * @param keyType
     * @param dicts
     */
    @Override
    protected void specialHandle(String keyType, List<DictResult> dicts, String condition) {
        switch (keyType) {
            case "orgLevel":
                Iterator<DictResult> iterator = dicts.iterator();
                while (iterator.hasNext()) {
                    DictResult result = iterator.next();
                    if (StrUtil.equals("O", result.getDictKey())){
                        iterator.remove();
                        break;
                    }
                }
            default:
                LogUtil.debug(logger, "no special handler.");
        }
    }
}
