/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2019 All Rights Reserved.
 */
package com.abssqr.plat.web.controller;

/**
 * @author zhenxuan.luo
 * @version com.abssqr.plat.web.controller: UtilController.java, v 0.1 2019-06-03 14:11 zhenxuan.luo Exp $
 */

import com.abssqr.plat.common.facade.param.utility.PlanVaTaxCalcParam;
import com.abssqr.plat.common.facade.service.utility.UtilService;
import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.model.Money;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

/**
 * 工具
 * @author zhenxuan.luo
 */
@RestJsonController
public class UtilController {
    
    @Autowired
    private UtilService utilService;
    
    /**
     * 计算税金工具服务
     *
     * @param param
     * @return
     */
    @RequestMapping(path = "/util/calcVatTaxForRevenue.json", method = RequestMethod.GET)
    public Money getVatTaxByAmt(PlanVaTaxCalcParam param) {
        return utilService.calcVatTaxForNet(param);
    }
    
}
