/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2017 All Rights Reserved.
 */

package com.abssqr.plat.web.controller.org;

import com.abssqr.plat.common.facade.model.org.Organization;
import com.abssqr.plat.common.facade.param.org.OrgEditParam;
import com.abssqr.plat.common.facade.param.org.OrgPageQryParam;
import com.abssqr.plat.common.facade.param.org.OrgQryParam;
import com.abssqr.plat.common.facade.result.BasePage;
import com.abssqr.plat.common.facade.result.org.OrgListVO;
import com.abssqr.plat.common.facade.service.OrgService;
import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.model.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import javax.validation.Valid;

/**
 * 机构管理
 */
@RestJsonController
public class OrgController {
    @Autowired
    private OrgService orgService;

    /**
     * @param param
     * @return
     * @description 查询机构列表
     */
    @RequestMapping(path = "/org/list.json", method = RequestMethod.GET)
    public BasePage<OrgListVO> getOrgList(OrgPageQryParam param) {
        return orgService.getOrgList(param);
    }

    /**
     * @param param
     * @return
     * @description 获取机构
     */
    @RequestMapping(path = "/org/get.json", method = RequestMethod.GET)
    public Organization getOrg(OrgQryParam param) {
        return orgService.getOrg(param);
    }
    
    /**
     * 机构更新
     * @param param
     * @return
     */
    @RequestMapping(path = "/org/addOrUpdate.json", method = RequestMethod.POST)
    public BaseResult<String> addOrUpdateOrg(@RequestBody @Valid OrgEditParam param) {
        return orgService.addOrUpdate(param);
    }

}
