/**
 * abssqr.com Inc.
 * Copyright (c) 2017-2020 All Rights Reserved.
 */

package com.abssqr.plat.web.controller.plan;

import com.abssqr.plat.common.facade.param.plan.structure.InvestStructureQryParam;
import com.abssqr.plat.common.facade.result.plan.PlanInvestStructureVO;
import com.abssqr.plat.common.facade.service.plan.PlanInvestStructureService;
import com.general.enhanced.controller.annotation.RestJsonController;
import com.general.system.common.model.BaseResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;

/**
 * 计划投资结构
 *
 * @author xiachenxiang
 * @version com.abssqr.plat.web.controller.plan: PlanInvestStructureController.java, v 0.1 2020-02-06 1:32 PM xiachenxiang Exp $
 */
@RestJsonController
public class PlanInvestStructureController {

    @Autowired
    private PlanInvestStructureService planInvestStructureService;

    @RequestMapping(value = "/plan/invest/list.json", method = RequestMethod.GET)
    public BaseResult<List<PlanInvestStructureVO>> getStructureList(InvestStructureQryParam param) {
        return BaseResult.success(planInvestStructureService.getStructureList(param));
    }
}
